# vim: sts=2 ts=2 sw=2 et ai
# Limelight Networks, CM team. salt://salt/ghe.sls

# Privides configuration for ghe module

{% from 'pepper/map.jinja' import defaults with context %}

core|ghe|config:
  file.managed:
    - name: /etc/salt/minion.d/ghe.conf
    - mode: 600
    - template: jinja
    - backup: False
    - source: salt://leck/templates/ghe.jinja
    - user: salt
    - group: {{ defaults['root_group'] }}
    - defaults:
        ghe_key: {{ pillar['secrets']['sae']['github_key'] }}
        ghe_org: llnw
        ghe_url: https://github.llnw.net
