sae|cdn-api|nginx|package:
  pkg.installed:
    - name: nginx

sae|cdn-api|nginx|config|server:
  file.managed:
    - name: /etc/nginx/nginx.conf
    - source: salt://{{ slspath }}/nginx.conf
    - user: root
    - group: root
    - mode: 755
    - makedirs: True

sae|cdn-api|nginx|service:
  service.running:
    - name: nginx
    - enable: True
    - watch:
        - file: sae|cdn-api|nginx|config|server
        - file: sae|lfapi|nginx-config
