include:
  - crontab

sae|cds|crontab|base:
  file.accumulated:
    - filename: /etc/crontab
    - require_in:
      - file: core|crontab|base
    - text: |
        #
        * * * * * root HOME=/root /usr/bin/lockf -t 0 /var/run/check_reconfig.lock /usr/local/bin/check-reconfig > /dev/null 2>&1
        * * * * * root /usr/local/bin/check_lhb.pl
{%- if "ep-incremental-reconfig-cron-disabled" not in salt['grains.get']('cornerstone:tags', {}) %}
        */30 * * * * root find /etc/squid1.conf -mtime +30m -exec touch /etc/sq/reconfig \;
{%- endif %}
{%- if grains['osmajorrelease']|int < 12 or '2017.1' in grains.get('llbsdbranch', '') %}
        */30 * * * * root /usr/local/bin/netadjust.pl
        */30 * * * * root /etc/sq/last_ack_drop2.pl > /dev/null 2>&1
{%- endif %}
        */15 * * * * root /etc/sq/mk_ratelimit.pl -C > /dev/null 2>&1
        */5 * * * * root /usr/bin/lockf -t 0 /var/run/ipv6_mtu.lock /usr/local/bin/ipv6_mtu.sh > /dev/null 2>&1
        */2 * * * * root /usr/local/bin/conndrop.sh -f -r > /dev/null 2>&1
