{% set logstreamer_path = "eq-logstreamer/v5_3" %}

{# {% if grains['team_env'] is defined and grains['team_env'] == "production" %} #}
{% if (salt['grains.get']('cornerstone:status')|int == 100) and
      (salt['grains.get']('team_env', '') not in ['dev', 'dynamic', 'devnet', 'staging', 'lab', 'qa']) %}
{%  import_yaml slspath ~ "/properties_prd.yaml" as properties %}
{% else %}
{%  import_yaml slspath ~ "/properties_stg.yaml" as properties %}
{% endif %}

{% if salt['file.directory_exists']('/logs/haproxy/') %}
{%  import_yaml slspath ~ "/irr.yaml" as irr %}
{%  do properties.topics.update(irr) %}
{% endif %}

{% from logstreamer_path ~ "/logstreamer.jinja" import logstreamer_macro %}

{{ logstreamer_macro(properties, slspath, logstreamer_path) }}

{# Without this state is invisible #}
vagrant|eq-eqls|component-eq-logstreamer|work-around:
 test.nop:
   - name: work-around.
