# pmcprofiler

Attempts to profile a running process by executing pmcstat against it, collects
the resulting samples, dependency libraries and binaries, packages them up and
sends them off to a remote collection host for further processing or archiving.

The default collection host is set to pmc-collector.llnw.net on port 9876.

Usage: pmcprofiler.pl [-h] [-p pid | -s regex] [-d secs] [-u] [-a host:port]
Profiles a running process and ships off the samples to an archive host.

  -a host:port    set archive host (default: pmc-collector.llnw.net:9876)
  -d secs         duration in seconds to run the profile (default: 10 secs)
  -p pid          profile the specified pid
  -s regex        profile a running process matching the regex specified
  -u              unload kernel module after completion
  -h, --help      display this help and exit
      --version   output version information and exit

The script is only valid for hosts running FreeBSD 10+.  The resulting
collected data is a tar ball of the raw pmc data, binaries profiled,
and all linked libraries associated with the process being profiled.

To read the collected data, just run pmcstat -R sample.pmc -G -
to see the callgraph.
