# vim: sts=2 ts=2 sw=2 et ai

# A single exec.conf used to be used.. we can use more granular files now so it
# doesn't need to be accumulated

{% from "collectd/map.jinja" import collectd with context %}
{% from "sae-collectd/map.jinja" import saecollectd with context %}

include:
  - collectd

sae|collectd|remove-exec-conf:
  file.absent:
    - name: {{ collectd['llnwdir'] }}/exec.conf
    - watch_in:
      - service: core|collectd|service

# It got zombied back on cds..
sae|collectd|remove-generic-conf:
  file.absent:
    - name: {{ collectd['llnwdir'] }}/llnw.conf.d/generic.conf
    - watch_in:
      - service: core|collectd|service

sae|collectd|remove-LLNW-tags-pm:
  file.absent:
    - name: {{ saecollectd['localllnwdir']}}/bin/LLNW/Tags.pm

sae|collectd|remove-fetchsquid-conf:
  file.absent:
    - name: {{ collectd['llnwdir'] }}/fetchsquid.conf
    - watch_in:
      - service: core|collectd|service

sae|collectd|remove-fetchsquid-pl:
  file.absent:
    - name: {{ saecollectd['localllnwdir'] }}/bin/fetchsquid.pl
    - watch_in:
      - service: core|collectd|service
