# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}

sae|discrete-origin|origin-shortname-api:
  file.managed:
    - name: /usr/local/bin/origin-shortname-api
    - source: salt://sae-discrete-origin/trusty/files/origin-shortname-api
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 755

sae|discrete-origin|driveInfoBasic:
  file.managed:
    - name: /usr/local/bin/driveInfoBasic.pl
    - source: salt://sae-discrete-origin/trusty/files/driveInfoBasic.pl
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 755

sae|discrete-origin|originParity:
  file.managed:
    - name: /usr/local/bin/originParity.pl
    - source: salt://sae-discrete-origin/trusty/files/originParity.pl
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 755

sae|discrete-origin|dugather:
  file.managed:
    - name: /usr/local/bin/dugather
    - source: http://images.llnw.net/bins/dugather-origin
    - source_hash: http://images.llnw.net/bins/dugather-origin.md5
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 755

sae|discrete-origin|newsync:
  file.managed:
    - name: /usr/local/bin/newsync.sh
    - source: salt://sae-discrete-origin/trusty/files/newsync.sh
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 755

sae|discrete-origin|startupscripts:
  file.managed:
    - name: /usr/local/bin/startupscripts.sh
    - source: salt://sae-discrete-origin/trusty/files/startupscripts.sh
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 755
    - replace: False
