# This file is for states that are only to be executed on specific customer origins
# For example, only execute state for fanbox origins

{% from "pepper/map.jinja" import defaults with context %}

{%- if "fanbox" in salt['grains.get']('cornerstone:name') %}
sae|discrete-origin|proftpd-connections-fanbox:
  file.managed:
    - name: /etc/proftpd/conf.d/fanbox-connections.conf
    - source: salt://sae-discrete-origin/xenial/custconfs/proftpd/fanbox.conf
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 644
    - watch_in:
      - pkg: sae|discrete-origin|pkgs
{% endif %}
