# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}

sae|discrete-origin|pkgs-mlocate:
  pkg.installed:
    - names:
      - mlocate

sae|discrete-origin|mlocate-updatedb-conf:
  file.managed:
    - name: /etc/updatedb.conf
    - source: salt://sae-discrete-origin/xenial/files/updatedb.conf
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 644
    - require:
      - pkg: sae|discrete-origin|pkgs-mlocate
