{%- import_yaml 'sae-dnsxd/mc/settings.yml' as conf with context -%}
#!/bin/bash

export PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

{%- set maskedbits = 0 -%}
{%- set bitconv = {'0':0, '128':1, '192':2, '224':3, '240':4, '248':5, '252': 6, '254': 7, '255':8} -%}
{%- for octet in conf.ucarp.netmask.split('.') %}
    {%- set maskedbits = maskedbits + bitconv[octet] %}
{#- jinja is trash, so I have to increment a loop local variable and use it before the loop goes out of scope -#}
    {%- if loop.last %}
ip addr del {{ conf.ucarp.vip }}/{{ maskedbits }} dev {{ conf.ucarp.interface }}
    {% endif %}
{%- endfor %}

pkill health-rpc
pkill rst-updated
pkill responderd
