# vim: sts=2 ts=2 sw=2 et ai
{%- from "sae-edgeinfo/map.jinja" import ei_api_pkg_install, ei_api_defaults with context %}

   
{% if ei_api_pkg_install['api'] is defined %}
sae|edgeinfo|api|api_pkgs:
  pkg.removed:
    - names:
      {% for pkg in ei_api_pkg_install['api'] %}
      - {{ pkg }}
      {% endfor %}
{% endif %}

sae|edgeinfo|api|edgeinfo_api_pl:
  file.absent:
    - name: /usr/lib/cgi-bin/edgeinfo_api.pl

sae|edgeinfo|api|db_cfg:
  file.absent:
    - name: {{ei_api_defaults.cgi_dir}}/eiapi_sql.cfg
    - require:
      - sae|edgeinfo|api|edgeinfo_api_pl

