# vim: sts=2 ts=2 sw=2 et ai

include:
  - crontab

{% set group = salt['file.gid_to_group']('0') %}

sae|edgetools|devcleanup|script:
  file.managed:
    - name: /usr/local/bin/hsnrm.sh
    - source: salt://{{ slspath }}/files/hsnrm.sh
    - mode: 755
    - user: root
    - group: {{ group }}
    - makedirs: True

sae|edgetools|devcleanup|cron:
  file.accumulated:
    - filename: /etc/crontab
    - require_in:
      - file: core|crontab|base
    - text: |
        # remove hashsecrets
        * * * * * root /usr/local/bin/hsnrm.sh -f
