{% do salt['grains.set']('vs:sae-eglf-agent', None, force=True, destructive=True) %}

{% if grains['os_family'] == 'FreeBSD' %}
sae|eglf-agent|uninstall|service-dead:
  service.dead:
    - name: eglf_agent

sae|eglf-agent|uninstall|pkg:
  pkg.purged:
    - name: eglf-agent
    - require:
      - service: sae|eglf-agent|uninstall|service-dead

sae|eglf-agent|uninstall|files:
  file.absent:
    - names:
      - /usr/local/eglf-agent/eglf-agent.yaml
      - /usr/local/etc/rc.d/eglf_agent
    - require:
      - pkg: sae|eglf-agent|uninstall|pkg
{% endif %}
