# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import netblocks %}
{%- from "sae-elastic/envs.jinja" import elastic_envs with context %}

include:
  - .init
  - firewall.standard
  - java.default-openjdk8
  - zfs
  - .elastic

### sysctl and assorted other dragons
{%- if elastic_envs['sysctl_core'] is defined %}
{%-   for item, value in elastic_envs['sysctl_core'].iteritems() %}
sae|elastic|core|sysctl.{{ item }}:
  sysctl.present:
  - name: {{ item }}
  - value: {{ value }}
{%-   endfor %}
{%- endif %}
