# vim: sts=2 ts=2 sw=2 et ai

{% from slspath ~ "/map.jinja" import pkg_name, pkg_version with context %}

include:
  - .upgrade
  - post-edgeinfo

sae|ep-ssl|packages|install:
  cmd.run:
    - name: |
        pkg delete -fy nginx-1.5.12
        pkg delete -fy {{ pkg_name }}
        pkg install -fy {{ pkg_name }}
    - unless: pkg info -e "{{ pkg_name }}=={{ pkg_version }}"
{% if grains['singel'] is not defined %}
    - onchanges_in:
      - cmd: sae|ep-ssl|upgrade-testconfig
      - cmd: sae|ep-ssl|upgrade-usr2
      - cmd: sae|ep-ssl|upgrade-nginxrunning
      - cmd: sae|ep-ssl|upgrade-twomasters
      - cmd: sae|ep-ssl|upgrade-quit
      - cmd: core|post-edgeinfo|run
{% endif %}
