# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}

sae|ep-ssl|ep-ssl-dir:
  file.directory:
    - name: /usr/local/nginx
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 755

sae|ep-ssl|confdir:
  file.directory:
    - name: /usr/local/nginx/conf
    - user: xfer
    - group: {{ defaults['root_group'] }}
    - mode: 755
    - require:
      - file: sae|ep-ssl|ep-ssl-dir

sae|ep-ssl|logdir:
  file.directory:
    - name: /logs/nginx/old
    - user: xfer
    - group: {{ defaults['root_group'] }}
    - mode: 755
    - makedirs: True
