{%- from "pepper/map.jinja" import netblocks %}
include:
  - firewall.standard

sae|gridconfig|v|rabbitmq|common|pkg:
  pkg.installed:
    - pkgs:
      - rabbitmq-server

sae|gridconfig|v|rabbitmq|common|firewall:
  firewall.accept:
    - tcp:
      - [ 5672, {{ netblocks }} ]
      - [ 15672, {{ netblocks }} ]
    - require_in:
      - firewall: core|firewall|final-reject
