include:
{% if grains['os_family'] == 'FreeBSD' %}
  - sae-dns100.hosts ## Managed host entries to fix PTRs ia0004229
  - syslog-conf
  - .freebsd
{% elif grains['os'] == 'Ubuntu' %}
  - .ubuntu
{% else %}
  - .error # unsupported OS
{% endif %}

sae|healthd|salt-sux:
  test.nop:
    - name: sae-healthd-salt-sux
