# vim: sts=2 ts=2 sw=2 et ai
{% from "versioned-states/macros.jinja" import versioned_state %}

{% set current_global_version = "v30" %}
{% set past_global_versions = ["", "v1", "v2", "v3", "v4", "v5", "v6", "v7", "v8", "v9", "v10", "v11", "v20", "v21", "v22", "v23", "v24", "v25", "v26", "v27", "v28", "v29"] %}

{% set component = sls %}

{% set version_has_grain = "vs:" ~ component ~ ":version_has" %}
{% set version_wants_grain = "vs:" ~ component ~ ":version_wants" %}
{% set version_has = salt["grains.get"](version_has_grain, "") %}
{% if version_has in past_global_versions %}
{%   do salt["grains.set"](version_wants_grain, current_global_version) %}
{% endif %}

{{ versioned_state(component, current_global_version) }}
