# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import netblocks %}

include:
  - firewall.standard

sae|ics|ics-firewall:
  firewall.accept:
    - tcp:
      - [80, {{ netblocks }}]
      - [8000, {{ netblocks }}]
      - [8135, {{ netblocks }}]
      - [10954, {{ netblocks }}]
      - [10960, {{ netblocks }}]
      - [53, {{ netblocks }}]
    - udp:
      - [53, {{ netblocks }}]
    - require_in:
      - firewall: core|firewall|final-reject
