# vim: sts=2 ts=2 sw=2 et ai
{% from "pepper/map.jinja" import defaults with context %}
{%- from slspath~"/map.jinja" import getdb_map, ipgeogetdb_pkg_install with context %}

include: 
  - .dirs

{% if ipgeogetdb_pkg_install.pkg is defined %}
sae|ipgeo|ipgeogetdb|pkgs:
  pkg.installed:
    - names:
      {% for pkg in ipgeogetdb_pkg_install.pkg %}
      - {{ pkg }}
      {% endfor %}
{% endif %}

sae|ipgeo|ipgeogetdb|script:
  file.managed:
    - name: {{ getdb_map.getdb_script }}
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 755
    - source: {{ getdb_map.getdb_salt }}{{ slspath }}/ipgeogetdb.sh.template
    - template: jinja
    - defaults:
        stat_format: {{ getdb_map.stat_format }}
    - require:
        - file: sae|ipgeo|db_dir
