# vim: sts=2 ts=2 sw=2 et ai

# Hybserv only runs on one ircd on the network, it is included directly via a role

sae|hybserv|pkg:
  pkg.installed:
    - name: hybserv

sae|hybserv|conf:
  file.managed:
    - name: /usr/local/hybserv/hybserv.conf
    - user: hybserv
    - template: jinja
    - makedirs: True
    - source: salt://sae-ircd/templates/hybserv.conf.jinja
    - defaults:
        remote_pass: {{ salt['pillar.get']('secrets:sae-ircd:server_pass') }}
