# Jenkins 2 Server

Setup of a Jenkins 2 Server with several plugins installed and LDAP configured.

Some setup items will still need to be completed based on where the server is run.

* The `Jenkins URL` will need to be set (and may not be this server's hostname if it will be run behind a reverse proxy)
* Slave configuration will need to be set. This installation assumes there will be a Kubernetes cluster acting as a slave source.

## Plugins Installed

* ace-editor
* ant
* antisamy-markup-formatter
* apache-httpcomponents-client-4-api
* authentication-tokens
* bouncycastle-api
* branch-api
* build-timeout
* cloudbees-folder
* command-launcher
* credentials
* credentials-binding
* display-url-api
* docker-commons
* docker-workflow
* durable-task
* email-ext
* git
* git-client
* git-parameter
* git-server
* github
* github-api
* github-branch-source
* gradle
* handlebars
* jackson2-api
* jdk-tool
* jquery
* jquery-detached
* jsch
* junit
* kubernetes
* kubernetes-credentials
* ldap
* lockable-resources
* mailer
* matrix-auth
* matrix-project
* momentjs
* pam-auth
* pipeline-build-step
* pipeline-github-lib
* pipeline-graph-analysis
* pipeline-input-step
* pipeline-milestone-step
* pipeline-model-api
* pipeline-model-declarative-agent
* pipeline-model-definition
* pipeline-model-extensions
* pipeline-rest-api
* pipeline-stage-step
* pipeline-stage-tags-metadata
* pipeline-stage-view
* plain-credentials
* resource-disposer
* scm-api
* script-security
* ssh-credentials
* ssh-slaves
* structs
* timestamper
* token-macro
* variant
* workflow-aggregator
* workflow-api
* workflow-basic-steps
* workflow-cps
* workflow-cps-global-lib
* workflow-durable-task-step
* workflow-job
* workflow-multibranch
* workflow-scm-step
* workflow-step-api
* workflow-support
* ws-cleanup