#!/bin/bash
set -e
set -x

source jenkinslib.sh

wait_for_jenkins

disable_security
systemctl restart jenkins
wait_for_jenkins

plugin="$1"

echo "Installing plugin ${plugin}"
java -jar jenkins-cli.jar -s http://127.0.0.1:8080/ install-plugin $plugin

enable_security
systemctl restart jenkins

echo
echo "changed=yes comment='Installed plugin ${plugin}'"