# vim: sts=2 ts=2 sw=2 et ai

{% macro team(dir_name, group, dir_perm) %}
sae|jumphost|teamdirs-{{ dir_name }}:
  file.directory:
      - name: /local/{{ dir_name }}
      - user: root
      - group: {{ group }}
      - dir_mode: {{ dir_perm }}
      - makedirs: True
      - allow_symlink: True
{%- endmacro %}

{{ team('noc', 'ops-noc', '775') }}
{{ team('opseng', 'ops-opseng', '775') }}
{{ team('sysops', 'ops-sysops', '775') }}
