# sae-limon

Deploys Limon web application.

The role assigned to a Limon server is (via Cornerstone):

* role-sae-limon.limon-node: turns machine into a Limon host.
* dev (qa, stage or prod): environment tag. 

Component based deployment is used. In order to run deployment:
```
sudo salt-call state.apply sae-limon.limon-node debug=true
``` 
Limon node is a main component.
Other components: backend, frontend, rts-dash, eq-agent.

Troubleshooting:
https://confluence.atlas.llnw.com/pages/viewpage.action?pageId=142850631

Files deployed:

* `/var/www/ui/.env`
* `/etc/cron.d/limon2`
* `/etc/apache2/sites-available/limon2-ssl.conf`
* `/etc/apache2/sites-available/limon2-ui-ssl.conf`

Depends on:

* `HAProxy`
* `Apache 2`
* `PHP 7`
* `EdgeQuery Agent`

Salt tips:

https://github.llnw.net/kbowling/salt-states/blob/csmock-yml/_docs/tips.md
