{%- from slspath ~ "/map.jinja" import limon_backend_configs %}
{%- from slspath ~ "/releases.jinja" import release_ver %}

sae-limon|components|backend|limon_artisan:
  file.managed:
    - name: /var/www/ui/artisan
    - user: www-data
    - group: www-data
    - mode: 775
    - require:
      - cmd: sae-limon|component|backend|{{ release_ver }}|extract-package

# Not sure why, but cron job is not run with this?
sae-limon|components|backend|php user:
  user.present:
    - name: php
    - password: 7906d8b18197bdfefddc6b9ecf662bc3
    - gid_from_name: True
    - createhome: False
    - system: True

sae-limon|components|backend|cron:
  file.managed:
    - name: /etc/cron.d/limon2
    - user: root
    - group: root
    - mode: 0640
    - contents:
      - "* * * * * root {{ limon_backend_configs.php_bin }} {{ limon_backend_configs.packages_dir }}/{{ release_ver }}/var/www/ui/artisan schedule:run 1>> /dev/null 2>&1"
    - require:
      - cmd: sae-limon|component|backend|{{ release_ver }}|extract-package
