sae-limon|components|backend|dev|php user:
  user.present:
    - name: php
    - password: {{ salt["pillar.get"]("secrets:sae-limon:php_password", "n/a") }}
    - gid_from_name: True
    - createhome: False
    - system: True

sae-limon|components|backend|dev|cron:
  file.managed:
    - name: /etc/cron.d/limon2
    - user: root
    - group: root
    - replace: false
    - mode: 0640
    - contents:
      - "* * * * * root php /var/www/dev/limon-backend/artisan schedule:run 1>> /dev/null 2>&1"
    - require:
      - cmd: sae-limon|components|backend|dev|install-vendor-dependencies
