{% from slspath ~ "/releases.jinja" import release, releases_raw, release_ver %}
{% from slspath ~ "/map.jinja" import limon_backend_configs %}

{% for rv in releases_raw.releases_enabled %}
{%   set ab = limon_backend_configs.release_ab.get(rv, None) %}
{%   if ab %}
sae-limon|components|backend|apache|a2dissite-limon2|{{ rv }}:
  apache_site.disabled:
    - name: limon2-backend-{{ ab }}
    - watch_in:
      - service: sae-limon|node|apache2
    - require_in:
      - service: sae-limon|node|apache2

sae-limon|component|backend|haproxy|backend|{{ ab }}|absent:
  file.absent:
    - name: /etc/haproxy/haproxy_limonbackend_{{ ab }}.cfg
    - watch_in:
      - service: sae-limon|node|haproxy|running
    - require_in:
      - service: sae-limon|node|haproxy|running
{%   endif %}
{% endfor %}

sae-limon|component|backend|haproxy|frontend|absent:
  file.absent:
    - name: /etc/haproxy/haproxy_limonbe_fe.cfg
    - watch_in:
      - service: sae-limon|node|haproxy|running
    - require_in:
      - service: sae-limon|node|haproxy|running
