{%- from slspath ~ "/map.jinja" import limon_frontend_configs %}
{%- from slspath ~ "/releases.jinja" import current_release %}

{%- if current_release.prereqs is defined %}
sae-limon|component|limon_frontend|releases|pkg_prereq:
  pkg.installed:
    - pkgs:
{%- if grains['oscodename'] == 'bionic' %}
      - python-mysqldb
      - runit-systemd
{%- endif %}
{%-   for pkgname, pkgver in current_release["prereqs"].iteritems() %}
{%-     if pkgver == "latest" %}
      - {{ pkgname }}
{%-     else %}
      - {{ pkgname }}: {{ pkgver }}
{%-     endif %}
{%-   endfor %}
{%- endif %}


