sae-limon|components|frontend|dev|apache|a2dissite-limon2-ui:
  apache_site.disabled:
    - name: limon2-frontend-dev
    - watch_in:
      - service: sae-limon|node|apache2
    - require_in:
      - service: sae-limon|node|apache2

sae-limon|components|frontend|dev|limon-site|absent:
  file.absent:
    - name: /etc/apache2/sites-available/limon2-frontend-dev.conf
    - watch_in:
      - service: sae-limon|node|haproxy|running
    - require_in:
      - service: sae-limon|node|haproxy|running
    - require:
      - apache_site: sae-limon|components|frontend|dev|apache|a2dissite-limon2-ui

sae-limon|component|frontend|dev|haproxy|frontend|absent:
  file.absent:
    - name: /etc/haproxy/haproxy_limon_frontend_dev.cfg
    - watch_in:
      - service: sae-limon|node|haproxy|running
    - require_in:
      - service: sae-limon|node|haproxy|running
