{%- from slspath ~ "/map.jinja" import rts_dash_configs %}

## PRE-REQUISITES
sae-limon|component|rts-dash|validate|prerequsites:
  llnw_validate.rollup:
    - name: prerequsites
    - system_name: sae-limon.rts-dash
    - require_in:
      - llnw_validate: sae-limon|component|rts-dash|validate

sae-limon|component|rts-dash|validate|config_file:
  llnw_validate.is_file:
    - name: config_file
    - system_name: sae-limon.rts-dash
    - filename: /usr/local/etc/rts-dash-backend/config.yml
    - require_in:
      - llnw_validate: sae-limon|component|rts-dash|validate|prerequsites

sae-limon|component|rts-dash|validate|listen_port:
  llnw_validate.ports_listening:
    - name: listen_port
    - system_name: sae-limon.rts-dash
    - ports: 8070
    - require_in:
      - llnw_validate: sae-limon|component|rts-dash|validate

sae-limon|component|rts-dash|validate|service_running:
  llnw_validate.super_is_running:
    - name: service_running
    - system_name: sae-limon.rts-dash
    - search: rts-dash-backend
    - service: rts-dash-backend
    - require_in:
      - llnw_validate: sae-limon|component|rts-dash|validate

## Rollups are primarily to print out write-validate files, or use in other tests.
sae-limon|component|rts-dash|validate:
  llnw_validate.rollup:
    - name: all
    - system_name: sae-limon.rts-dash
