{%- from slspath ~ "/vs.sls" import product, version_wants_grain, state_version %}
# INIT sls={{ sls }} slspath={{ slspath }} state_version={{ state_version }}

{#- SET THE GRAIN REGARDLESS #}
{%- do salt["grains.set"](version_wants_grain, state_version) %}

{#- actual version here is the default, however, since we "do grains.set" above #}
{#- in render, it should apply before we actually run this #}
{%- if not salt["grains.get"](product + ":disable:node", False) %}
{%-   from "versioned-states/macros.jinja" import versioned_state %}
{{ versioned_state(sls, state_version) }}
{%- endif %}
