{% from slspath + "/map.jinja" import limon_env %}

sae-limon|node|validate|pkg:
  pkg.installed:
    - name: python-psutil

sae-limon|node|validate|ldap_port:
  llnw_validate.ports_listening:
    - name: ldap_port
    - system_name: sae-limon
    - ports: 636
    - host: {{ limon_env.ldap.host }}
    - require_in:
      - llnw_validate: sae-limon|node|validate

sae-limon|node|validate:
  llnw_validate.rollup:
    - name: node
    - system_name: sae-limon
