{% from "pepper/map.jinja" import defaults %}
{% from "sudoers/map.jinja" import sudo_map with context %}

sae-limon|node|sudo-limon:
  file.managed:
    - name: {{ sudo_map.includedir }}/limon
    - user: root
    - group: {{ defaults.root_group }}
    - mode: 440
{%- if 'production' == salt['grains.get']('team_env', 'production') %}
    - contents: |
        %posix-limon-admins ALL=(ALL) ALL
{%- else %}
    - contents: |
        %posix-limon-admins ALL=(ALL) ALL
        %posix-limon-user ALL=(ALL) ALL
        %posix-vps-qa ALL=(ALL) ALL
        %posix-vps-dev ALL=(ALL) ALL
        %posix-vps-admin ALL=(ALL) ALL
{%- endif %}
