# vim: sts=2 ts=2 sw=2 et ai

# make sure target directory exists
sae|logcompressor|ics|vt|move-compressed-cache-logs|dir:
  file.directory:
    - name: /logs/squid/cache_old
    - makedirs: True

# move old compressed cache logs to new location
sae|logcompressor|ics|vt|move-compressed-cache-logs:
  cmd.run:
    - name: "mv /logs/squid/cache*.log.bz2 /logs/squid/cache_old/"
    - onlyif: "ls -1 /logs/squid/cache*.log.bz2"
    - require:
      - sae|logcompressor|ics|vt|move-compressed-cache-logs|dir
