# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}
{% from "pepper/map.jinja" import netblocks %}
{% from "pepper/map.jinja" import egblocks %}

include:
  - firewall.standard
  - firewall.ntpd
  - firewall.dns-internal
  - firewall.dhcp
  - firewall.syslog
  - firewall.tftp-internal
  - firewall.web

sae|msops|firewall-msops-splunk-ports:
  firewall.accept:
    - tcp:
      - [10001, {{ netblocks + egblocks }}]
      - [10002, {{ netblocks + egblocks }}]
      - [10003, {{ netblocks + egblocks }}]
      - [10004, {{ netblocks + egblocks }}]
      - [10005, {{ netblocks + egblocks }}]
      - [10006, {{ netblocks + egblocks }}]
    - udp:
      - [10001, {{ netblocks + egblocks }}]
      - [10002, {{ netblocks + egblocks }}]
      - [10003, {{ netblocks + egblocks }}]
      - [10004, {{ netblocks + egblocks }}]
      - [10005, {{ netblocks + egblocks }}]
    - require_in:
      - firewall: core|firewall|final-reject

sae|msops|firewall-msops-iperf3-ports:
  firewall.accept:
    - tcp:
      - [5201, {{ netblocks + egblocks }}]
    - require_in:
      - firewall: core|firewall|final-reject

