# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}

# Include these states as they have specific dependencies, or use cases
# within this state.
include:
  - .ntpd
  - .quagga
  - resolver.anycachestatic

# Set these up early so services can bind to anycast
sae|msops|loopback:
  network.managed:
    - name: lo
    - type: eth
    - onboot: yes
    - userctl: no
    - nozeroconf: True
    - ipv6_autoconf: no
    - enable_ipv6: false
    - ipaddr: 127.0.0.1/8

sae|msops|loopback_anycast:
  network.managed:
    - name: lo:0
    - type: eth
    - onboot: yes
    - userctl: no
    - nozeroconf: True
    - ipv6_autoconf: no
    - enable_ipv6: false
    - ipaddr: 10.255.0.1/32
