# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}

include:
  - .pkgs

sae|msops|ntpd-conf:
  file.managed:
    - name: /etc/ntp.conf
    - user: root
    - group: root
    - mode: 644
    - source: salt://sae-msops/files/ntp.conf
sae|msops|ntpd-service:
  service.running:
    - name: ntp
    - enable: True
    - full_restart: True
    - watch:
      - file: sae|msops|ntpd-conf
      - network: sae|msops|loopback
      - pkg: sae|msops|pkgs
