# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}


### THIS IS REALLY GROSS
# I hate that I have to do this
# someday ENGINC0001114 will make this all go away

sae|msops|sysloganalyzer-pkgs:
  pkg.latest:
    - name: runit

sae|msops|sysloganalyzer-dirs:
  file.directory:
    - names: 
      - /opt/monitoring
      - /opt/monitoring/bin
      - /opt/monitoring/log
      - /opt/monitoring/log/syslogAnalyzer
      - /etc/service/syslogAnalyzer
      - /etc/service/syslogAnalyzer/supervise
      - /etc/backstage
    - user: root
    - group: root
    - mode: 755
    - makedirs: True

sae|msops|sysloganalyzer-runit:
  file.managed:
    - name: /etc/service/syslogAnalyzer/run
    - user: root
    - group: root
    - mode: 755
    - source: salt://sae-msops/files/sysloganalyzer.runit
    - require:
      - pkg: sae|msops|sysloganalyzer-pkgs
      - file: sae|msops|sysloganalyzer-bin
      - file: sae|msops|sysloganalyzer-config-xml

sae|msops|sysloganalyzer-config-xml:
  file.managed:
    - name: /etc/backstage/syslogAnalyzer.xml
    - user: root
    - group: root
    - mode: 644
    - source: salt://sae-msops/files/syslogAnalyzer.xml
    - require:
      - file: sae|msops|sysloganalyzer-dirs

sae|msops|sysloganalyzer-bin:
  file.managed:
    - name: /opt/monitoring/bin/syslogAnalyzer
    - user: root
    - group: root
    - source_hash: sha256=84d949c87f5895653e122c3878d0caf74351edfb1e77f037c7aded0dde6dc501
    - mode: 755
    - source: http://repo.llnw.net/llnw/ubuntu/production/msops/syslogAnalyzer
    - require:
      - file: sae|msops|sysloganalyzer-dirs

