# Change log for: sae-ocsp
The CHANGELOG file should be updated each time a new version is made.
To build one automatically, use: salt-mgr vs make-changelog

## v0
Development version.

## v1
Stop and uninstall all services/packages/files/etc.

## v10
Initial release state.

## v20
- Add timestamps to all log lines for cron job.
- Add splay feature for spreading out timing of runs.
- Add per-cert command feature to run whenever a response changes.
- Add helper script to inject response into running IRR via CLI API.
- Update configuration to use helper script when response changes.
- Update configuration to remove reload of IRR when changes detected.

## v30
- [[IRR-421](https://jira.atlas.llnw.com/browse/IRR-421)] : fetch_ocsp logs some fields from previous Successful response when it gets non-Successful response
- [[IRR-422](https://jira.atlas.llnw.com/browse/IRR-422)] : fetch_ocsp does not clean up files in publish dir unless also in work dir
- [[IRR-423](https://jira.atlas.llnw.com/browse/IRR-423)] : fetch_ocsp should differentiate between ineligible certs and errors
