# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}

sae|ocsp|config:
  file.managed:
    - name: /usr/local/etc/fetch_ocsp.conf
    - source: salt://{{ slspath }}/templates/fetch_ocsp.conf.jinja
    - template: jinja
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 640
    - context:
        hashsecret: {{ salt['pillar.get']('secrets:ocsp:hashsecret', '""') }}

sae|ocsp|workdir:
  file.directory:
    - name: /var/cache/ocsp
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 755
