# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}

sae|ocsp|executable:
  file.managed:
    - name: /usr/local/bin/fetch_ocsp
    - source: salt://{{ slspath }}/files/fetch_ocsp
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 755
    - require:
      - sae|ocsp|irr_helper

sae|ocsp|irr_helper:
  file.managed:
    - name: /usr/local/bin/irr_ocsp_update
    - source: salt://{{ slspath }}/files/irr_ocsp_update
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 755
