# OpenNebula

This state manages Opennebula compute and control nodes. Because Opennebula uses ssh for command and control, exceptions are added to the `hosts.allow` file for the C&C range.

## Creating an OpenNebula Cluster

Each host in the cluster will need the appropriate cornerstone tags. Master nodes should be tagged with `role-sae-opennebula.master` and compute nodes should be tagged with `role-sae-opennebula.node`. Note that master nodes can also be compute nodes, and can have both tags applied.

Each cluster must have a unique identifier for service discovery. Currently, this comes from `team_env`, and `building_name_short`.

View the full [Cluster Creation MOP](https://confluence.atlas.llnw.com/display/DEVOPS/MOP+-+Creating+an+OpenNebula+Cluster)