# vim: sts=2 ts=2 sw=2 et ai

{% if grains['os_family'] == 'FreeBSD' -%}

include:
  - sae-opentsdb.shared

sae|opentsdb|shared-hadoop-journalnode-dir:
  file.directory:
    - name: /tsdb/shared/journalnode
    - user: hdfs
    - group: hadoop
    - makedirs: True

{% set services_journalnode = ['journalnode'] %}

{%   for service in services_journalnode  %}
sae|opentsdb|journalnode-{{ service }}-service:
  service.running:
    - name: {{ service }}
    - enable: True
    - require:
      - file: sae|opentsdb|shared-hadoop-journalnode-dir
{%   endfor %}

{% endif %}
