# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}
{% from "pepper/map.jinja" import netblocks %}

include:
  - firewall.standard

sae|opentsdbng|firewall:
  firewall.accept:
    - tcp:
      - [4242, {{ netblocks }}]
      - [443, {{ netblocks }}]
      - ['', '69.164.61.128/27'] # keep this limited to the cluster only
      - ['', '10.14.208.4'] # cloudera manager
      - ['', '10.14.208.5'] # cloudera manager
      - ['', '10.14.208.6'] # cloudera manager
      - ['', '10.14.208.7'] # cloudera manager
      - ['', '10.14.208.8'] # cloudera manager
      - ['', '10.14.208.9'] # cloudera manager
    - require_in:
      - firewall: core|firewall|final-reject
