# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}

include:
  - base_repos

sae|opentsdbng|repo:
  pkgrepo.managed:
    - name: deb http://repo.llnw.net/current/llnw/ubuntu opentsdb production
    - file: /etc/apt/sources.list.d/llnw.opentsdbng.{{ grains['oscodename'] }}.list
    - refresh_db: true
    - watch_in:
      - module: core|base_repos|apt-refresh-db

sae|opentsdbng|pkgs:
  pkg.latest:
    - names:
      - iftop
      - iotop
      - nmap
      - tcpflow
