#!/bin/bash
set -e
set -x

source jenkinslib.sh

wait_for_jenkins

disable_security
# disable_security now turns off nginx to prevent unauthorized access. It also restarts jenkins and does wait_for_jenkins

echo "enabling proxy"
curl -X POST http://localhost:8080/pluginManager/proxyConfigure -H 'Content-Type: application/x-www-form-urlencoded' -d 'json={"name":+"proxy.llnw.net",+"port":+"3128"}'

enable_security
# enable_security now has restart and wait_for_jenkins builtin and it starts nginx (stopped to prevent unauthorized access)

echo
echo "changed=yes comment='Enabled Jenkins Plugin Proxy'"