<?php
$base_dir = '{{ portmon.base_dir }}';
$lib_dir = $base_dir.'lib/';

$script_name = basename($_SERVER['PHP_SELF']);
$script_name = preg_replace('/\.php$/', '', $script_name);

$logfile = '/tmp/debug-'.$script_name.'.log';
$log = fopen($logfile,'a');

// Zabbix configs
$apiurl = '{{ portmon.APIUrl }}';
$apiver = '{{ portmon.APIVer }}';
$zabbix_user     = '{{ portmon.APIuser }}';
$zabbix_password = '{{ portmon.APIPassword }}';

$zabbix_token_file = '/tmp/zbx-api-token-new_'.$script_name.'.tmp';

// LLNW Zabbix API
$llnw_zbx_api_url = '{{ portmon.LLNWAPIUrl }}';
$llnw_zbx_api_ver = '1.0';
$llnw_zbx_api_key = '{{ portmon.APIKey }}';


// DB Settings
$db_name = "{{ portmon.DBName }}";
$db_user = "{{ portmon.DBUser }}"; // privs: select,insert,update,delete
$db_pass = "{{ portmon.DBPass }}";
$db_host = "{{ portmon.DBHost }}";
//$db_host = "db-llnw21-ha.phx3.llnw.net";

$db = mysqli_connect($db_host, $db_user, $db_pass, $db_name);

include($lib_dir.'toolbox-portmon.php');
?>