#Salt rules for pxemaster.

## IMPORTANT CAVEAT 

/opt/tftp-dist/ needs to be populated manually BEFORE salt runs, or else the replication process will nuke our pxe infrastructure. If this box needs to be rebuilt, this must be done before the role-sae-pxemaster tag is applied to the host.

##Purpose

pxemaster is the central origin for our pxe images. I'd like to see this process revamped, but for now it's aLucid box that could be easily turned into a Trusty salted box.

lsyncd pushes these images to the ms-ops boxes automatically when it detects changes, and does a full sync when it restarts.

## Changes from the old way of doing things

Bluekey is disabled. /opt/tftp-dist/ is now setgid and owned by posix-ms-ops-admin. sudo is not required for members of that group to make changes to that directory, meaning you can scp directly to that dir if needed. Sudo is available to that group, but is not needed for uploading images.

No changes need to be made on this box now when a new ms-ops machine is added. pxemaster attempts to push to all machines with role-sae-msops automatically.

## TODO

I believe symlinker.pl works properly, but I have no baseline for it. Someone more familiar with it will need to confirm that it works properly.