# vim: sts=2 ts=2 sw=2 et ai

include:
  - sae-logpusher

sae|qcds|logpusher:
  file.managed:
    - name: /etc/logpusher.conf
    - follow_symlinks: False
    - require:
      - file: sae|logpusher|sym-clean
    - contents: |
        log /logs/squid/access.*.log bzip2 flock oldtime 60s olddir /logs/squid/old type pqt compresslevel 1
        log /logs/squid/sqstats*.log bzip2 flock oldtime 60s olddir /logs/squid/old type perf compresslevel 1 flushtime 5m
        oldFilesInterval 5000
        moreFilesInterval 30
