# RANCID states

Apply tag `role-sae-rancid` to install rancid, and `role-sae-rancid.active`
to add a cron job to run it regularly. This is currently installed on the
following hosts, and will probably be installed on the `cdn-mgmt-` hosts in
the future so that they can update the FLBs.
* `networkarchive-1.lax.llnw.net`
* `networkarchive-1.phx7.llnw.net`

## Known Issues

1. The `rancid` package does not create the user+group when installed by salt
due to some conditional in the `postinst`.
Manually running `dpkg-reconfigure rancid` and answering the questions will
fix it, then you can highstate again.

2. The `git clone` command in the highstate requires user intervention to accept
the ssh key:
```
The authenticity of host 'github.llnw.net (10.12.30.32)' can't be established.
ECDSA key fingerprint is SHA256:uaf1lKBOaFSP/Ul7nsRD5mSP4iuAhbhACi3E4Qguhm8.
Are you sure you want to continue connecting (yes/no)?
```
