## v38

Resolve MH default behavior which is causes a clients connection refused whenever MH select a RH with a weight of 0.

Changes:
- gen_slb_configs.pl - apply flag-1 to MH IPVS services
- run gen_slb_configs.pl on source code change

## v37

Improved telemetry and diagnostics

Changes:


- Initial SLB Tools deployment which implements a framework of SLB telemetry and diagnostics
- Improved Command Line Interface (CLI) with a greater focus on SLB health diagnostics and reduced time-to-resolution
- Migration from OpenTSDB to Prometheous
- Initial SLB API deployment which exposes a REST interface into SLB telemetry, health status and configuration
- Additional netdata charts
  - VIP traffic
  - Chelsio proprietary drop counter   
- Modified `drain` logic to lever control file signaling vs the former health script command line arguments
## v30

Assign VIP ranges priorities automatically based on a new, simpler config file format.

Changes:

- Add sample config file, `PHX-slb_conf-sample-v2.yml`.
- Update `gen_slb_configs.pl` to recognize v2 format and calculate VIP distribution automatically.

NOTE: If the old config file format is used, this change is function-wise a NO-OP.


## v20

Use squid2 load factors as server weights to optimize server utilization.

Changes:

- Fetch `load_factors2.dat` from edge config.
- Introduce a new global, non-versioned config file for SLB features `/etc/keepalived/global_conf.yml`.
- Loadfactors are configured through `global_conf.yml`.
- Remove the macping debug cornerstone tag and move that toggle switch to `global_conf.yml`.
- Merge `http_check.sh` and it's debug version and let debug mode depend on setting from `global_conf.yml`.
- Update `http_check.sh` and `gen_slb_configs.pl` to parse load factors into server weights.
- While at it, add VIP range sanity check that will cause `gen_slb_configs.pl` to exit with an error if the advertised IPs are not within the range.


## v15

Pin package versions.

Notes:
This version was added after v20 and v30 had been created. Changes have been applied to v0, v20 and v30 as well.


## v10

Move sae-slb over to versioned states.

Changes from pre-versioned states:

- Remove load factors related code (no functional changes). This will be added in v20.
