# vim: sts=2 ts=2 sw=2 et ai

{# Specify grub_default kernel only when tag present.
  This is just for standardization in SRE-2135.
  Conditionals can be removed after standardization is complete.
#}

{% from slspath ~ "/map.jinja" import kernel with context %}

include:
  - bootloader.grub
  - .packages

extend:
  core|bootloader|grub-defaults:
    file.managed:
      - context:
          grub_default: '{{ kernel['grub_menuentry'] }}'
      - require:
        - sae|slb|kernel-pkg
