# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}

sae|snap|snap-pkg:
  pkg.installed:
    - pkgs:
      - intel-snap-llnw

sae|snap|snap-dirs:
  file.directory:
    - names:
      - /usr/local/etc/snap/
      - /usr/local/share/snap/
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 755
    - makedirs: True

{% if grains['os'] == 'FreeBSD' %}
sae|snap|fbsd-etc-sym:
  file.symlink:
    - name: /etc/snap
    - force: False
    - target: /usr/local/etc/snap
    - require:
      - pkg: sae|snap|snap-pkg
      - file: sae|snap|snap-dirs
{% endif %}
