# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}
{% from "sudoers/map.jinja" import sudo_map with context %}

include:
  - sudoers

sae|sudoers|dns100-xfer:
  file.managed:
    - name: {{ sudo_map.includedir }}/dns100-xfer
    - user: root
    - group: {{ defaults.root_group }}
    - mode: 440
    - contents: |
        xfer ALL=NOPASSWD : /sbin/ping
    - require:
      - file: core|sudoers|includedir
