# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}
{% from "sudoers/map.jinja" import sudo_map with context %}

include:
  - sudoers

sae|sudoers|edgekeyd:
  file.managed:
    - name: {{ sudo_map.includedir }}/edgekeyd
    - user: root
    - group: {{ defaults.root_group }}
    - mode: 440
    - contents: 'edgekeyd ALL=(ALL) NOPASSWD: /sbin/mdconfig -a -t malloc -s 1024M -u 11,/sbin/newfs -U /dev/md11,/bin/mkdir -p /tmp/kmi,/sbin/mount /dev/md11 /tmp/kmi,/usr/sbin/chown edgekeyd /tmp/kmi,/usr/sbin/chown edgekeyd /usr/local/nginx/conf/nginx.ssl.*,/sbin/umount /tmp/kmi,/sbin/mdconfig -d -u 11,/usr/local/nginx/sbin/nginx,/sbin/ifconfig lo0 alias * *,/sbin/ifconfig lo0 inet6 alias *'
    - require:
      - file: core|sudoers|includedir
