# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}
{% from "sudoers/map.jinja" import sudo_map with context %}

include:
  - sudoers

sae|sudoers|fgfinder:
  file.managed:
    - name: {{ sudo_map.includedir }}/fgfinder
    - user: root
    - group: {{ defaults.root_group }}
    - mode: 440
    - contents: '%posix-dns-admin ALL=(ALL) NOPASSWD: /usr/local/bin/fgfinder'
    - require:
      - file: core|sudoers|includedir
