# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}
{% from "sudoers/map.jinja" import sudo_map with context %}

include:
  - sudoers

sae|sudoers|flashtools:
  file.managed:
    - name: {{ sudo_map.includedir }}/flashtools
    - user: root
    - group: {{ defaults.root_group }}
    - mode: 440
    - contents: '%posix-fms-admin ALL=(ALL) NOPASSWD: /usr/local/fmstools/flashtraffic_check.sh,/usr/local/fmstools/flashtraffic_off.sh,/usr/local/fmstools/flashtraffic_on.sh'
    - require:
      - file: core|sudoers|includedir
