# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}
{% from "sudoers/map.jinja" import sudo_map with context %}

include:
  - sudoers

sae|sudoers|mq-admin:
  file.managed:
    - name: {{ sudo_map.includedir }}/mq-admin
    - user: root
    - group: {{ defaults.root_group }}
    - mode: 440
{%- if 'production' != salt['grains.get']('team_env', 'production') %}
{%- if 'sox-in-scope' in salt['grains.get']('cornerstone:tags') %}
    - contents: '%posix-mq-sox-admin ALL=(ALL:ALL) ALL'
{%- else %}
    - contents: '%posix-mq-admin ALL=(ALL:ALL) ALL'
{%- endif %}
{%- else %}
    - contents: '%posix-mq-admin ALL=(ALL:ALL) NOPASSWD: ALL'
{%- endif %}
    - require:
      - file: core|sudoers|includedir
