# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}
{% from "sudoers/map.jinja" import sudo_map with context %}

include:
  - sudoers

sae|sudoers|sre-all:
  file.managed:
    - name: {{ sudo_map.includedir }}/sre-all
    - user: root
    - group: {{ defaults.root_group }}
    - mode: 440
    - contents: '%sre-all ALL=(ALL) NOPASSWD: ALL'
    - require:
      - file: core|sudoers|includedir
