{% from "pepper/map.jinja" import defaults with context %}
{% from "sudoers/map.jinja" import sudo_map with context %}

include:
  - resolver
  - pepper.nobluekey

sae|zabbix-infra|proxy-sudo:
  file.managed:
    - name: {{ sudo_map.includedir }}/zabbix
    - user: root
    - group: {{ defaults.root_group }}
    - mode: 440
    - contents: |
        %posix-zabbix-admins ALL=(ALL) NOPASSWD: ALL
        %posix-zabbix-proxy-admins ALL=(ALL) NOPASSWD: ALL
    - require:
      - file: core|sudoers|includedir
