{% from "versioned-states/macros.jinja" import versioned_state %}

{% set current_global_version = "v7" %}
{% set past_global_versions = ["", "v1", "v2", "v3", "v4", "v5", "v6"] %}

{% set component = sls %}

{% set version_has_grain = "vs:" ~ component ~ ":version_has" %}
{% set version_wants_grain = "vs:" ~ component ~ ":version_wants" %}
{% set version_has = salt["grains.get"](version_has_grain, "") %}
{% if version_has in past_global_versions %}
{%   do salt["grains.set"](version_wants_grain, current_global_version) %}
{% endif %}

{{ versioned_state(component, current_global_version) }}
