# Adds new healthcheck endpoint using goss:
#
# URL:
#   http://<host>:12345/healthz
#
# Docs:
# - https://github.llnw.net/llnw/salt-states/blob/master/goss/README.md
# - https://github.com/aelsabbahy/goss/blob/master/docs/manual.md

include:
  - goss

sae|atp|v|healthcheck|atp-health:
  goss.http:
    - name: 'localhost:8000/health/drm'
    - proto: http
    - status: 200

sae|atp|v|healthcheck|downfile:
  goss.file:
    - name: '/srv/down'
    - exists: false

