# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}

include:
  - jenkins.slave
  - sudoers.configmgmt-admin
  - base_repos
  - mta.postfix.relay

sae|build|ub18|update-motd:
  file.managed:
    - name: /etc/update-motd.d/99-build-host
    - source: salt://sae-build/files/update-motd_build-host
    - user: root
    - group: {{ defaults.root_group }}
    - mode: 755
    - backup: False

sae|build|ub18|pkgs:
  pkg.latest:
    - names:
      - build-essential
      - autoconf
      - automake
      - debhelper
      - po-debconf
      - dpatch
      - devscripts
      - perl-doc
