{%- from "pepper/map.jinja" import defaults with context %} 

include:
  - crontab

sae|cds|bios_collector|script:
  file.managed:
    - name: /usr/local/bin/GetBiosSetting.py
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 755
    - source: salt://sae-cds/files/GetBiosSetting.py

sae|cds|bios_collector|cron:
  file.accumulated:
    - filename: /etc/crontab
    - require_in:
      - file: core|crontab|base
    - text: |
        # Collect current bios settings on hosts
        0 * * * * root /usr/local/bin/GetBiosSetting.py > /dev/null 2>&1
