include:
    - crontab

sae|cds|cds_vm_stats|script:
    file.managed:
        - name: /usr/local/bin/cds_vm_stats.sh
        - user: root
        - group: wheel
        - mode: 755
        - source: salt://sae-cds/files/cds_vm_stats.sh

sae|cds|cds_vm_stats|cron:
    file.accumulated:
        - filename: /etc/crontab
        - require_in:
            - file: core|crontab|base
        - text: |
            # Collect virtual memory statistics for CDS hosts
            */5 * * * * root /usr/bin/lockf -t 0 /var/run/cds_vm_stats.lock /usr/local/bin/cds_vm_stats.sh > /dev/null 2>&1
