# vim: sts=2 ts=2 sw=2 et ai

{% from "collectd/map.jinja" import collectd with context %}

include:
  - collectd.config

sae|cds|collectd:
  file.managed:
    - name: {{ collectd['llnwdir'] }}/cds-collectd.conf
    - require:
      - file: core|collectd|llnwdir
    - contents: |
        #### cds plugins ####
        LoadPlugin nginx

        <Plugin nginx>
          URL "https://127.0.0.1/nginx_status"
          verifypeer false
          verifyhost false
        </Plugin>
