salt-sae/sae-cds contains integration detail. salt-eq/eq-agent contains all necessary states.

#v10
EQ Agent 3.5.1 rollout.

#v20
EQ Agent 3.6.0 rollout.

#v30
EQ Agent 3.6.0 rollout.
 - Added EQ Agent EdgeGravity related configuration.

#v40
EQ Agent 3.6.0 rollout.
 - Added DC logs configuration for Reporting and RLDP Agents (SRE-3748)
 - This version was NOT applied on Prod

#v50
EQ Agent 3.6.0 rollout.
 - Based on v30
 - Extended EQ Agent EdgeGravity related configuration to cover All EdgeGravity POPs .

#v60
EQ Agent 3.6.0 rollout.
 - Based on v50
 - Disable RLDP Agent: stop, disable, remove conf and init files for 'eqrldp' service (EQMISC1-76)
 - Remove 'cachestore' input source config sections for all Agent Instances (EQMISC1-102)

#v360
EQ Agent 3.6.0 rollout using latest EQ Agent salt (v6).
 - Based on v60 configs. Triggering eq-agent/v6 macro
 - This version will be only used in case of Rollback from v3.7.0 to meet compatibility
 - EQ Agent configuration was not changed from v60

#v370
EQ Agent 3.7.0 rollout using latest EQ Agent salt (v6).
 - Based on v60 configs. Triggering eq-agent/v6 macro
 - Removed rldp instance related code completely.
 - EQ Agent configuration was not changed from v60

#3701
EQ Agent 3.7.0 multi instance rollout using latest EQ Agent salt (v6).
  - Based on v370 configs. Triggering eq-agent/v6 macro
  - Supports EQ Agent multi instance deployment

#3702
EQ Agent 3.7.0 multi instance rollout using latest EQ Agent salt (v6).
  - Based on v3701 configs. Triggering eq-agent/v6 macro
  - Salt fix for initial deployment (SYSEQ-4157)

#3703
EQ Agent 3.7.0 multi instance rollout using latest EQ Agent salt (v6).
  - Based on v3702 configs. Triggering eq-agent/v6 macro
  - RabbitMQ DNS records change (SYSEQ-4542; SYSEQ-4239; SYSEQ-4515)

#3704
EQ Agent 3.7.0 multi instance rollout using latest EQ Agent salt (v7).
  - Based on v3704 configs. Triggering eq-agent/v7 macro
  - qlang2-0.5.000_1.txz update (SYSEQ-4782; RR-2545)
  - "LD_LIBRARY_PATH=/usr/local/lib/gcc5 python"
    environment variable has been added to make QLANG2 work properly (SYSEQ-4782; RR-2545)

#3705
EQ Agent 3.7.0 multi instance rollout using latest EQ Agent salt (v8).
  - Based on v3704 configs. Triggering eq-agent/v8 macro
  - Ubuntu Focal support

#380
EQ Agent 3.8.0 multi instance rollout using latest EQ Agent salt (v9).
  - Supported communication with RabbitMQ over TLS
  - Reduced number of get_query_history requests on notifications
  - shrapnel and amqp-shrapnel are built on GitLab
  - Based on v3705 configs. Triggering eq-agent/v9 macro

#v0
EQ Agent 3.7.0 rollout using latest EQ Agent salt (v6).
 - Based on v370 configs. Triggering eq-agent/v6 macro
 - Created for testing on EP hosts with Ubuntu 18
 - Can be invoked not only on Production hosts
