#!/bin/bash

# Get file size
FILESIZE_SNAP_1=$(ls -ll /var/run/edgequery-1.snap | awk '{print $5}')
FILESIZE_SNAP_2=$(ls -ll /var/run/edgequery-2.snap | awk '{print $5}')
# Checkpoint
echo "Size of /var/run/edgequery-1.snap  = ${FILESIZE_SNAP_1} bytes."
echo "Size of /var/run/edgequery-2.snap  = ${FILESIZE_SNAP_2} bytes."

if (( FILESIZE_SNAP_1 > FILESIZE_SNAP_2)); then
    echo "File /var/run/edgequery-1.snap is bigger"
    cp /var/run/edgequery-1.snap /var/run/edgequery.snap
else
    echo "File /var/run/edgequery-2.snap is bigger"
    cp /var/run/edgequery-2.snap /var/run/edgequery.snap
fi
