{% set logstreamer_path = "eq-logstreamer/v5" %}

{% import_yaml slspath ~ "/properties_cds.yaml" as properties %}

{% if salt['file.directory_exists']('/logs/haproxy/') %}
{%  import_yaml slspath ~ "/irr.yaml" as irr %}
{%  do properties.topics.update(irr) %}
{% endif %}

{% from logstreamer_path ~ "/logstreamer.jinja" import logstreamer_macro %}

{{ logstreamer_macro(properties, slspath, logstreamer_path) }}

{# Without this state is invisible #}
vagrant|eq-eqls|component-eq-logstreamer|work-around:
 test.nop:
   - name: work-around.
