# vim: sts=2 ts=2 sw=2 et ai

{% from "sae-collectd/map.jinja" import saecollectd with context %}

include:
  - sae-collectd.lastrites.remove-exec-conf
  - sae-sudoers.collectd-squid

sae|collectd|localllnwdir:
  file.directory:
    - name: {{ saecollectd['localllnwdir'] }}/bin
    - makedirs: True

{% if grains['os'] == 'FreeBSD' %}
sae|collectd|fbsd-etc-sym:
  file.symlink:
    - name: /etc/collectd
    - force: False
    - target: /usr/local/etc/collectd
    - require_in:
      - service: core|collectd|service
{% endif %}
