# vim: sts=2 ts=2 sw=2 et ai

sae|dailylogs|bashrc:
  file.managed:
    - name: /root/.bashrc
    - source: salt://sae-dailylogs/files/bashrc
    - mode: 644
    - user: root
    - group: root

sae|dailylogs|check_logproc_nfs.pl:
  file.managed:
    - name: /usr/local/bin/check_logproc_nfs.pl
    - source: salt://sae-dailylogs/files/check_logproc_nfs.pl
    - mode: 755
    - user: root
    - group: root

sae|dailylogs|check_nfs.pl:
  file.managed:
    - name: /usr/local/bin/check_nfs.pl
    - source: salt://sae-dailylogs/files/check_nfs.pl
    - mode: 755
    - user: root
    - group: root

sae|dailylogs|dircolors:
  file.managed:
    - name: /etc/dircolors
    - source: salt://sae-dailylogs/files/dircolors
    - mode: 655
    - user: root
    - group: root

sae|dailylogs|firstboot:
  file.absent:
    - name: /root/.firstboot_completed

sae|dailylogs|hushlogin:
  file.managed:
    - name: /root/.hushlogin
    - user: root
    - group: root

sae|dailylogs|profile:
  file.managed:
    - name: /root/.profile
    - source: salt://sae-dailylogs/files/profile
    - mode: 644
    - user: root
    - group: root

sae|dailylogs|proftpd.conf:
  file.managed:
    - name: /content/proftpd/proftpd.conf
    - source: salt://sae-dailylogs/files/proftpd.conf
    - mode: 744
    - user: root
    - group: root

sae|dailylogs|rc.local:
  file.managed:
    - name: /etc/rc.local
    - source: salt://sae-dailylogs/files/rc.local
    - mode: 755
    - user: root
    - group: root

sae|dailylogs|vimrc:
  file.managed:
    - name: /root/.vimrc
    - source: salt://sae-dailylogs/files/vimrc
    - mode: 644
    - user: root
    - group: root

sae|dailylogs|welcome.sh:
  file.managed:
    - name: /usr/local/bin/welcome.sh
    - source: salt://sae-dailylogs/files/welcome.sh
    - mode: 755
    - user: root
    - group: root

sae|dailylogs|grub:
  file.managed:
    - name: /etc/default/grub
    - source: salt://sae-dailylogs/files/grub
    - mode: 644
    - user: root
    - group: root
