{% from "pepper/map.jinja" import defaults with context %}


include:
  - .executables
  - .fstab

sae|dns100|dirs:
  file.directory:
    - makedirs: true
    - user: xfer
    - mode: '0755'
    - names:
      - /logs/dns/old
      - /local/geo/llnwd/anycastdns
      - /local/geo/llnwd
      - /local/geo
    - require:
      - mount: sae|dns100|fstab|mount-local
      - mount: sae|dns100|fstab|mount-logs

sae|dns100|home-dns:
  file.directory:
    - makedirs: true
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: '0755'
    - names:
      - /home/dns/anycast
    - require_in:
      - file: sae|dns100|exec|mknamedconf.pl
