## README
# ia0004229 - Fix missing PTR reccords to resolve healthd alerts
# Any salt states below will apply to both DNS1XX and CDS in Ericsson POPs (role-sae-healthd)

{% from slspath ~ "/map.jinja" import config with context %}

# Add each node to the hosts file for DNS
{% for node in config["etchosts"]["add"] %}
sae|dns100|hosts|{{ node["name"] }}:
  host.present:
    - name: {{ node["name"] }}
    - ip: {{ node["ip"] }}
{% endfor %}

# remove each node to the hosts file for DNS
{% for node in config["etchosts"]["remove"] %}
sae|dns100|hosts|remove|{{ node["name"] }}:
  host.absent:
    - name: {{ node["name"] }}
    - ip: {{ node["ip"] }}
{% endfor %}

