#!/bin/bash
# Author: Jeremy Singletary <jsingletary@llnw.com>, <jeremys@rickyninja.net>
# This MC API endpoint was chosen for monitoring because it replies with a data structure in memory (low overhead).

if [ -z "$1" ]; then
    >&2 echo usage: $0 hostname:port
    exit 1
fi

IFS=':' read -r -a addr <<< "$1"
/usr/bin/curl -s -o /dev/null -X POST -d '{ "method": "do", "params": [{"action":"diag", "op":"check_type", "verbose":1}], "id":"jsonrpc"}' http://${addr[0]}:${addr[1]}/MC

