# sae-drafts <p><i><small>Webserver backend of: https://drafts.devnet.llnw.net </small></i></p>

This role provisions a simple nginx server for delivery of the user-friendly static html webpages for
"drafts" repositories at llnw.  <hr>

"Drafts" github repositories can be used for collaboration within working groups (teams, verticals, guilds, etc.)
to prepare [internet-draft](https://en.wikipedia.org/wiki/Internet_Draft) like documents in markdown.

While working with these drafts in markdown using github's web ui is effective enough for inner team collaboration,
we found it necessary to have a frontend view when sharing our drafts to a wider audience.

We use [Hugo](https://gohugo.io/) to generate the static html webpages, which is a simple to use yet feature rich
md → static site generator, so we also get some really great features above and beyond github's web ui such as
built in metadata handling to support categories, taxonomies, etc. <hr>

<br>see also:
- [ea/drafts-static-site-generator](https://github.llnw.net/ea/drafts-static-site-generator)