# sae-edgeinfo

This directory contains the templates to render scripts for insert, update, and query content in the edgeinfo database.<br>

On this page:<br>
1. [Production Installation](README.md#production-installation)<br>
2. [Testing tools for API](README.md#testing-tools)<br>

**The current production host for edgeinfo CGI support were manually configured and salt currently does not modifiy or define the Apache configuration for CGI.  A full salting of the apache installation/configuration has not been done.**

## Production Installation:

>**init.sls** - *Handles installation of the update/insert and query scripts, supporting packages and the user/pass file used by query script.*<br>

### Installs:
>edgeinfo.pl - *Script for inssert/update of edgeinfo records, Installs into /usr/lib/cgi-bin directory.*<br>
>edgeinfo_api.pl - *Script for query of edgeinfo. Installs into /usr/lib/cgi-bin dir*<br>
>eiapi_sql.cfg - *user/pass file for edgeino_api.pl.  Data comes from salt-pillar.  Installs to /usr/lib/cgi-bin.*<br>
>packages - *Installs DBI, DBD::mysql, and Config::IniFiles modules for perl to suport edgeinfo_api.pl.*<br>


## Testing Tools:

>**apache.sls** - *Handles installation of apache into a Vagrant Ubuntu 12 (precise) issue.  Also enables CGI in that configuration.* **Not Safe for any other OS or Ubuntu version**<br>
>**mysql.sls** - *Installs mysql client for convenience.*<br>
>**edgeinfo_api_unit.pl** - *Script to run regression tests against the edgeinfo_api.pl script.*<br>
