# vim: sts=2 ts=2 sw=2 et ai

########################################################
#
# elastic-master boxes help the cluster coordinate and
# determine whether a split cluster has quorum
#
########################################################

{% from "pepper/map.jinja" import netblocks %}
{%- from "sae-elastic/envs.jinja" import elastic_envs with context %}

include:
  - .init
  - firewall.standard
  - java.default-openjdk8
  - zfs
  - .elastic

### sysctl and assorted other dragons
{%- if elastic_envs['sysctl_master'] is defined %}
{%-   for item, value in elastic_envs['sysctl_master'].iteritems() %}
sae|elastic|master|sysctl.{{ item }}:
  sysctl.present:
  - name: {{ item }}
  - value: {{ value }}
{%-   endfor %}
{%- endif %}
