# vim: sts=2 ts=2 sw=2 et ai

{% set secret_key_filename = "/usr/local/etc/cert-mgmt/secret-key.asc" %}

sae|ep-ssl|cert-mgmt|pkgs-remove:
  pkg.removed:
    - name: gnupg

sae|ep-ssl|cert-mgmt|gnupg-dir-remove:
  file.absent:
    - name: /root/.gnupg
    - require:
      - sae|ep-ssl|cert-mgmt|pkgs-remove

sae|ep-ssl|cert-mgmt|secret-key-file-remove:
  file.absent:
    - name: {{ secret_key_filename }}
