#!/bin/sh

# Ensure that Amazon precache script is running or not
# based on if this is an amazon dedicated pool server

dedicatedgroup=`cat /etc/sq/dedicated_id.txt`
amazon_pid=`pgrep -f 'perl .*amazon_precache.pl'`

if [ "$dedicatedgroup" = "amazon" ]; then
  if [ -z "$amazon_pid" ]; then
    /usr/local/bin/amazon_precache.pl
  fi
else
  if [ -n "$amazon_pid" ]; then
    kill "$amazon_pid"
  fi
fi
