# vim: sts=2 ts=2 sw=2 et ai

include:
  - sae-logpusher

sae|fms|logpusher:
  file.managed:
    - name: /etc/logpusher.conf
    - follow_symlinks: False
    - require:
      - file: sae|logpusher|sym-clean
    - contents: |
        log /logs/fcs/fcs-access.*.log bzip2 oldtime 65m olddir /logs/fcs/old type fcs compresslevel 1
        oldFilesInterval 3600
        moreFilesInterval 60
        maxOpenLogs 20
