{% from slspath ~ "/map.jinja" import gr with context %}
include:
  - .rabbitmq-common

sae|gridconfig|v|rabbitmq|enable|service:
  service.running:
    - name: rabbitmq-server
    - enable: True
    - require:
      - pkg: sae|gridconfig|v|rabbitmq|common|pkg

sae|gridconfig|v|rabbitmq|enable|vhost|provision:
  rabbitmq_vhost.present:
    - name: '/provision'

sae|gridconfig|v|rabbitmq|enable|vhost|gridconfig:
  rabbitmq_vhost.present:
    - name: '/gridconfig'

sae|gridconfig|v|rabbitmq|user:
  rabbitmq_user.present:
    - name: {{ gr.superbroker.copilot.clientmq.login }}
    - password: {{ gr.superbroker.copilot.clientmq.password }}
    - tags:
      - administrator
    - perms:
      - '/gridconfig':
        - '.*'
        - '.*'
        - '.*'
      - '/provision':
        - '.*'
        - '.*'
        - '.*'
    - require:
      - rabbitmq_vhost: sae|gridconfig|v|rabbitmq|enable|vhost|provision
      - rabbitmq_vhost: sae|gridconfig|v|rabbitmq|enable|vhost|gridconfig
