{% from slspath ~ "/map.jinja" import upstream_superbroker_host with context %}

include:
  - .server

sae|gridconfig|v|backuprepo|cron:
  cron.present:
    - name: /usr/local/gridconfig/bin/gridtool pull -r git://{{upstream_superbroker_host}} -s {{upstream_superbroker_host}}  2>&1 | tee -a /usr/local/gridconfig/log/gridconfig.log
    {# -g can be used if there is no running superbroker but repos are served somewhere: #}
    {#- name: '/usr/local/gridconfig/bin/gridtool pull -r git://{{upstream_superbroker_host}} -g "EdgePrism EdgePrism-staging Hds"  2>&1 | tee -a /usr/local/gridconfig/log/gridconfig.log' #}
    - identifier: gridconfig-backup-superbroker
    - user: root
    - require:
      - pkg: sae|gridconfig|v|server|pkgs
