#!/bin/sh

# author: bhawn@llnw.com
# date: 8.24.2015

if [ "$1" = "" ]; then
  echo "usage: git_clean <directory>"
  exit 1;
fi

cd "$1"

if [ "$?" = "1" ]; then
  echo "Failed to change directory to $1"
  exit 1;
fi

/bin/pwd

GV=`/usr/bin/git gc`
if [ "$?" != "0" ]; then
  echo "Failed to garbage collect"
  exit 1;
fi
