# vim: sts=2 ts=2 sw=2 et ai

{% set jail_name = "ics10" %}

sae|ics|upgrade-2-testconfig:
  cmd.run:
    - name: jexec {{ jail_name }} apachectl -t
    - timeout: 5

sae|ics|upgrade-2-graceful:
  cmd.run:
    - name: jexec {{ jail_name }} service apache24 graceful
    - onlyif: pgrep -F /{{ jail_name }}/var/run/httpd.pid -f httpd
    - timeout: 5
    - require:
      - cmd: sae|ics|upgrade-2-testconfig
