{% from slspath ~ "/map_current-2.jinja" import mss_pkg_name,mp4split_pkg_name,pkg_version,mss_llnw_url,mp4split_llnw_url with context %}

{% set jail_name = "ics10" %}

include:
  - .upgrade-2

sae|ics|rollback-2|install-mp4split:
  cmd.run:
    - name: /usr/sbin/pkg -j {{ jail_name }} delete -fy {{ mp4split_pkg_name }}; /usr/sbin/pkg -j {{ jail_name }} add "{{ mp4split_llnw_url }}"
    - unless: /usr/sbin/pkg -j {{ jail_name }} info -D "{{ mp4split_pkg_name }}={{ pkg_version }}"

sae|ics|rollback-2|install-mod_smooth_streaming:
  cmd.run:
    - name: /usr/sbin/pkg -j {{ jail_name }} delete -fy {{ mss_pkg_name }}; /usr/sbin/pkg -j {{ jail_name }} add "{{ mss_llnw_url }}"
    - unless: /usr/sbin/pkg -j {{ jail_name }} info -D "{{ mss_pkg_name }}={{ pkg_version }}"
    - require:
        - cmd: sae|ics|rollback-2|install-mp4split
    - onchanges_in:
      - cmd: sae|ics|upgrade-2-testconfig
      - cmd: sae|ics|upgrade-2-graceful
