# vim: sts=2 ts=2 sw=2 et ai

sae|ics|crossdomain_xml:
  file.managed:
    - name: /usr/local/www/mfs/crossdomain.xml
    - source: salt://{{ slspath }}/files/crossdomain.xml
    - user: root
    - group: wheel
    - mode: 644
    - makedirs: True

sae|ics|clientaccesspolicy_xml:
  file.managed:
    - name: /usr/local/www/mfs/clientaccesspolicy.xml
    - source: salt://{{ slspath }}/files/clientaccesspolicy.xml
    - user: root
    - group: wheel
    - mode: 644
    - makedirs: True

sae|ics|952100bad8d1486ca7f5fee26ee5927d_ismv:
  file.managed:
    - name: /usr/local/www/mfs/952100bad8d1486ca7f5fee26ee5927d.ismv
    - source: http://test.vo.llnwd.net/o1/952100bad8d1486ca7f5fee26ee5927d.ismv
    - source_hash: http://test.vo.llnwd.net/o1/952100bad8d1486ca7f5fee26ee5927d.ismv.md5
    - user: root
    - group: wheel
    - mode: 644
    - makedirs: True

sae|ics|atombomb_512k_ism:
  file.managed:
    - name: /usr/local/www/mfs/atombomb_512kb.ism
    - source: http://test.vo.llnwd.net/o1/atombomb_512kb.ism
    - source_hash: http://test.vo.llnwd.net/o1/atombomb_512kb.ism.md5
    - user: root
    - group: wheel
    - mode: 644
    - makedirs: True

sae|ics|common|packages:
  pkg.installed:
    - pkgs:
      - apr
      - gdbm
      - db5
      - expat
      - sqlite3 
      - e2fsprogs-libuuid 

sae|ics|hosts:
  file.managed:
    - name: /etc/hosts
    - source: salt://{{ slspath }}/files/hosts
    - user: root
    - group: wheel
    - mode: 644
    - makedirs: False
 
