# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}

sae|ipgeo|ipgeov7get|ipgeowget-script:
  file.managed:
    - name: /usr/local/bin/ipgeowget.sh
    - source: salt://sae-ipgeo/ipgeov7get/ipgeowget_v7_ipv6.sh
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 755

{% if grains['singel'] is not defined %}
sae|ipgeo|ipgeov7get|run-ipgeowget:
  schedule.present:
    - function: cmd.run
    - job_args:
      - /usr/local/bin/ipgeowget.sh
    - seconds: 3600
    - splay: 600
    - require:
      - file: sae|ipgeo|ipgeov7get|ipgeowget-script
      - file: sae|ipgeo|db_dir
      - service: core|salt|minion-service
{% endif %}

