# vim: sts=2 ts=2 sw=2 et ai

# deliberately use the same state names as in old.sls to prevent include both formula
sae|ipgeo|ipwhitelistwget|script:
  file.absent:
    - name: /usr/local/bin/ipwhitelistwget.sh
    - require: 
      - sae|ipgeo|ipwhitelistwget|cron

sae|ipgeo|ipwhitelistwget|cron:
  cron.absent:
    - name: /usr/bin/lockf -s -t 0 /var/run/ipwhitelistwget.lock /usr/local/bin/ipwhitelistwget.sh 2>&1 >/dev/null
    - identifier: ipgeo-ipwhitelistwget-cron
    - user: root
    - minute: '*/15'

