# Versioned States

## v1
Original formula using the ipwhitelistwget(ipacc) and ipgeowget.sh( geo ipv6 and ipv4) scripts with first gen ipgeogetdb.sh for next_asn

## v2
1st version using only ipgeogetdb.sh for fetching all DB types

## v3
EP-14799 - Corrections to initial installs, forced fetch if DB is not present and improvements to removal of all DBs
- removes dependencies of dig/proxy
- provides a sleep override to instantly pull down databases
- adds logical check for /etc/sq so that reconfig is only touched on servers with EP
- fixes positional parameter logic check bug that would terminate the script should an optional parameter be excluded
 

## v20200514 - SKIPPED
EP-15736 - add support to set the target dir of ipgeo DB installations
- add support for the grain sae-ipgeo:db-location to provide an alternate installation location,
-   if unset no change to the location occurs and existing OS dir defaults are used.

# v4 - CURRENT
ROPE-94
- Remove override grain logic built in EP-15736(this never went to production) - no suitable command and control grain+value setting built
- Return to simplified version name
- Add support for CDS on Ubuntu environments with proper path
- Remove cruft - vps-* all run chef today 
