# vim: sts=2 ts=2 sw=2 et ai
{% from "pepper/map.jinja" import defaults with context %}
{%- from slspath~"/map.jinja" import getdb_map with context %}

include:
  - sae-xfer

sae|ipgeo|etc-sq_dir:
  file.directory:
    - name: /etc/sq
    - user: xfer
    - group: xfer
    - dir_mode: 775
    - file_mode: 655
    - require:
      - user: sae|xfer|user
      - group: sae|xfer|user

sae|ipgeo|dir:
  file.directory:
    - name: {{ getdb_map.llnw_dir }}
    - user: root
    - group: {{ defaults['root_group'] }}
    - makedirs: True
    - dir_mode: 755
    - file_mode: 655

sae|ipgeo|db_dir:
  file.directory:
    - name: {{ getdb_map.llnw_dir }}/db
    - user: root
    - group: {{ defaults['root_group'] }}
    - makedirs: True
    - dir_mode: 755
    - file_mode: 655
    - require:
      - sae|ipgeo|dir    
