# vim: sts=2 ts=2 sw=2 et ai
{%- from slspath~"/map.jinja" import getdb_map, ipv4_db with context %}
{%- from slspath~"/macros.jinja" import ipgeo_get_db, ipgeo_get_db_validate with context %}

# create the configs and crons for all DB types
include:
  - base_repos  
  - sae-ipgeo.transition
  - .script

{{ ipgeo_get_db(getdb_map, ipv4_db, '') }} 

{{ ipgeo_get_db_validate(getdb_map, ipv4_db) }} 

