# vim: sts=2 ts=2 sw=2 et ai

# sysctl state module is used because the loader.conf semantics are the same
{% macro jumphostloaderconf(name, loaderconf, value) %}
sae|jumphost|loader-{{ name }}:
  sysctl.present:
    - name: {{ loaderconf }}
    - value: "{{ value }}"
    - config: /boot/loader.conf
{%- endmacro %}

{{ jumphostloaderconf('geom-mirror-load', 'geom_mirror_load', 'YES') }}
{{ jumphostloaderconf('zfs-load', 'zfs_load', 'YES') }}
{{ jumphostloaderconf('kern-geom-label-disk-ident-enable', 'kern.geom.label.disk_ident.enable', 0) }}
{{ jumphostloaderconf('kern-geom-label-gptid-enable', 'kern.geom.label.gptid.enable', 0) }}
{{ jumphostloaderconf('kern-racct-enable', 'kern.racct.enable', 1) }}
