# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}
{% from "storage-lmd-app/map.jinja" import lmd_base with context %}
{% from "storage-locs_base/map.jinja" import agile_configs with context %}

sae|jumphost|agent-sh:
  file.managed:
    - name: /usr/local/bin/agent.sh
    - source: salt://sae-jumphost/files/agent.sh
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 755

sae|jumphost|sshr:
  file.managed:
    - name: /usr/local/bin/sshr
    - source: salt://sae-jumphost/files/sshr.jinja
    - template: jinja
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 755
    - defaults:
        database_password: {{ salt['pillar.get']('secrets:sae-edgeinfo:database_password_ro') }}
