# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults, netblocks with context %}

sae|jumphost|ssh-audit-bin:
  file.rename:
    - name: /usr/bin/ssh-donotrun
    - source: /usr/bin/ssh
    - force: True
    - onlyif: file /usr/bin/ssh | grep -q 'ELF 64-bit LSB executable'

sae|jumphost|ssh-audit-script:
  file.managed:
    - name: /usr/bin/ssh
    - source: salt://sae-jumphost/files/ssh-audit.pl
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 755
    - require:
      - file: sae|jumphost|ssh-audit-bin
