sae-limon|components|backend|dev|apache|a2dissite-limon-backend:
  apache_site.disabled:
    - name: limon2-backend-dev
    - watch_in:
      - service: sae-limon|node|apache2
    - require_in:
      - service: sae-limon|node|apache2

sae-limon|components|backend|dev|limon-site|absent:
  file.absent:
    - name: /etc/apache2/sites-available/limon2-backend-dev.conf
    - watch_in:
      - service: sae-limon|node|haproxy|running
    - require_in:
      - service: sae-limon|node|haproxy|running
    - require:
      - apache_site: sae-limon|components|backend|dev|apache|a2dissite-limon-backend

sae-limon|component|backend|dev|haproxy-cfg|absent:
  file.absent:
    - name: /etc/haproxy/haproxy_limon_backend_dev.cfg
    - watch_in:
      - service: sae-limon|node|haproxy|running
    - require_in:
      - service: sae-limon|node|haproxy|running
