{%- from slspath ~ "/map.jinja" import  limon_env %}
{%- set www_owner = "www-data" %}

# This folder is written to during make_traffic
sae-limon|components|loris-te|te-folder:
  file.directory:
    - name: /var/www/te
    - user: {{ www_owner }}
    - group: {{ www_owner }}
    - mode: 775

# RSA keys
sae-limon|components|loris-te|limon-loris-deploy-key:
  file.managed:
    - name: {{ limon_env.loris["src_rsa_path"] }}
    - user: {{ www_owner }}
    - group: {{ www_owner }}
    - mode: 400
    - makedirs: true
    - contents_pillar: secrets:sae-limon:loris_deploy_key

sae-limon|components|loris-te|limon-autote-deploy-key:
  file.managed:
    - name: {{ limon_env.loris["autote_rsa_path"] }}
    - user: {{ www_owner }}
    - group: {{ www_owner }}
    - mode: 400
    - makedirs: true
    - contents_pillar: secrets:sae-limon:autote_deploy_key

sae-limon|components|loris-te|limon-git-deploy-key:
  file.managed:
    - name: {{ limon_env.loris["git_rsa_path"] }}
    - user: {{ www_owner }}
    - group: {{ www_owner }}
    - mode: 400
    - makedirs: true
    - contents_pillar: secrets:sae-limon:git_deploy_key

# TODO: Cleanup. Can be removed after v3.18 release
sae-limon|components|loris-te|limon-loris-repo:
  file.absent:
    - name: /var/www/te/loris-cfg/

sae-limon|components|loris-te|limon-loris-fork-repo:
  file.absent:
    - name: /var/www/te/loris-cfg-fork/

sae-limon|components|loris-te|limon-loris-fork-deploy-key:
  file.absent:
    - name: /var/www/te/.ssh/loris_fork_rsa_id

sae-limon|components|loris-te|limon-autote-repo:
  file.absent:
    - name: /var/www/te/AutoTE/
