{%- from slspath ~ "/map.jinja" import limon_backend_configs %}
{%- from slspath ~ "/releases.jinja" import releases_raw, current_release, release, release_ver %}

{%- set backend_versions = releases_raw.releases_enabled %}
# backend_versions {{ backend_versions }}

{%- set local_packages = salt["file.find"](limon_backend_configs.packages_dir, print="name", maxdepth=1 ) %}
#   local-backend-packages = {{ local_packages }}
{%- for package in local_packages %}
#     for local package {{ package }}
{%-   if package not in backend_versions %}
sae-limon|components|backend|{{ package }}|remove-old:
  file.absent:
    - name: {{ limon_backend_configs.packages_dir }}/{{ package }}
{%-   endif %}
{%- endfor %}

{# clean out previous installed package #}
{# but, ensure that both configs for new vesrions were laid down #}
sae-limon|component|backend|cleanup_old_pkg:
  pkg.removed:
    - name: limon2
    - require:
{%- for rv in backend_versions %}
      - file: sae-limon|components|backend|limon_site|{{ rv }}
{%- endfor %}
