# vim: sts=2 ts=2 sw=2 et ai
{% from "versioned-states/macros2.jinja" import versioned_state2 %}

eq|{{ sls }}|create_agent_specific_dir:
  file.directory:
    - name: /var/run/edgequery
    - makedirs: True
    - replace: False
    - mode: 644

{% set os_codename = salt['grains.get']('oscodename', '') %}

## Rollout EQ Agent versions depending on current Ubuntu OS version 
{% if os_codename == "bionic" or os_codename == "xenial" %}
## Run EQ Agent 3.6.1 Rolout for Bionic or Xenial
{{ versioned_state2(sls, "v30") }}
{% else %}
## Run EQ Agent 3.6 Rolout
{{ versioned_state2(sls, "v20") }}
{% endif %}
