{%- from slspath ~ "/map.jinja" import limon_frontend_configs as lbc %}

include:
  - sae-limon.limon-node
  - .pkg-prereq
  - .limon2-frontend
  - .apache
  - .validate
  - .cleanup

sae-limon|component|frontend|grains|primary:
  grains.present:
    - name: limon-frontend:primary_instance
    - value: {{ lbc.active }}
    - require:
      - llnw_validate: sae-limon|component|frontend|validate

sae-limon|component|frontend|grains|primary_release:
  grains.present:
    - name: limon-frontend:instance_{{ lbc.active }}:release
    - value: {{ lbc.active_release }}
    - require:
      - llnw_validate: sae-limon|component|frontend|validate

sae-limon|component|frontend|grains|previous_release:
  grains.present:
    - name: limon-frontend:instance_{{ lbc.previous }}:release
    - value: {{ lbc.previous_release }}
    - require:
      - llnw_validate: sae-limon|component|frontend|validate

sae-limon|component|frontend|for-versioned-states|always-passes:
  test.succeed_without_changes:
    - name: do-it-sae-limon-frontend
    - require:
      - llnw_validate: sae-limon|component|frontend|validate
