{%- from slspath ~ "/map.jinja" import limon_frontend_configs %}
{%- from slspath ~ "/releases.jinja" import releases_raw, current_release, release, release_ver %}

{%- set frontend_versions = releases_raw.releases_enabled %}
# frontend_versions {{ frontend_versions }}

{%- set local_packages = salt["file.find"](limon_frontend_configs.packages_dir, print="name", maxdepth=1 ) %}
#   local-frontend-packages = {{ local_packages }}
{%- for package in local_packages %}
#     for local package {{ package }}
{%-   if package not in frontend_versions %}
sae-limon|components|frontend|{{ package }}|remove-old:
  file.absent:
    - name: {{ limon_frontend_configs.packages_dir }}/{{ package }}
{%-   endif %}
{%- endfor %}

{# clean out previous installed package #}
{# but, ensure that both configs for new vesrions were laid down #}
sae-limon|component|frontend|cleanup_old_pkg:
  pkg.removed:
    - name: limon2-ui
    - require:
{%- for rv in frontend_versions %}
      - file: sae-limon|components|frontend|limon_site|{{ rv }}
{%- endfor %}
