{%- from slspath ~ "/releases.jinja" import release, releases_raw, release_ver %}
{%- from slspath ~ "/map.jinja" import limon_frontend_configs %}

{% for rv in releases_raw.releases_enabled %}
{%   set ab = limon_frontend_configs.release_ab[rv] %}
sae-limon|components|frontend|apache|a2dissite-limon2-ui|{{ rv }}:
  apache_site.disabled:
    - name: limon2-ui-{{ ab }}
    - watch_in:
      - service: sae-limon|node|apache2
    - require_in:
      - service: sae-limon|node|apache2

sae-limon|component|frontend|haproxy|frontend|disabled|{{ ab }}:
  file.absent:
    - name: /etc/haproxy/haproxy_limonfe_be_{{ ab }}.cfg
    - watch_in:
      - service: sae-limon|node|haproxy|running
    - require_in:
      - service: sae-limon|node|haproxy|running
{% endfor %}

sae-limon|component|frontend|haproxy|frontend|disabled:
  file.absent:
    - name: /etc/haproxy/haproxy_limonfe_fe.cfg
    - watch_in:
      - service: sae-limon|node|haproxy|running
    - require_in:
      - service: sae-limon|node|haproxy|running
