# vim: sts=2 ts=2 sw=2 et ai syntax=yaml

# Install additional dev-dependencies
sae|limon|limon-dev-pkgs|mysqld|remove:
  pkg.removed:
    - name: mysql-server
    - onlyif:
      - test -e /usr/sbin/mysqld

sae|limon|remove-go:
  file.absent:
    - name: /usr/local/go
    - onlyif:
      - test -d /usr/local/go

sae|limon|limon-dev-go-path|remove:
  file.line:
    - name: /etc/profile
    - match: export PATH=$PATH:/usr/local/go/bin
    - mode: delete
    - content: ""

sae|limon|limon-dev-script|remove:
  file.absent:
    - name: /usr/local/bin/limon-dev-env.sh
    - onlyif:
      - test -e /usr/local/bin/limon-dev-env.sh

sae|limon|composer|remove:
  file.absent:
    - name: /usr/local/bin/composer
    - onlyif:
      - test -f /usr/local/bin/composer
