{%- from slspath ~ "/map.jinja" import limon_env %}
{%- from slspath ~ "/environment.jinja" import environment %}

# app configuration
sae-limon|node|dot_env:
  file.managed:
    - name: /var/www/ui/.env
    - source: salt://{{ slspath }}/templates/limon2.env.jinja
    - template: jinja
    - user: www-data
    - group: www-data
    - mode: 640
    - makedirs: true
    - context:
        limon_env: {{ limon_env }}
        environment: {{ environment }}

sae-limon|node|limon-audit-log:
  file.directory:
      - name: {{ limon_env.audit_log_path }}
      - user: www-data
      - group: www-data
      - mode: 775
      - makedirs: True
