{%- from slspath ~ "/map.jinja" import limon_env %}
{%- from slspath ~ "/environment.jinja" import environment, user, group %}

# app configuration
sae-limon|node|dot_env:
  file.managed:
    - name: /var/www/ui/.env
    - source: salt://{{ slspath }}/templates/limon2.env.jinja
    - template: jinja
    - user: {{ user }}
    - group: {{ group }}
    - mode: 640
    - makedirs: true
    - context:
        limon_env: {{ limon_env }}
        environment: {{ environment }}
