# Stop haproxy
{% include slspath ~ '/stop.sls' %}

# Remove haproxy package
sae|loci|haproxy|install:
    pkg.purged:
        - name: haproxy

# Remove haproxy workdir
sae|loci|haproxy|workdirs:
  file.absent:
    - names:
        - /etc/haproxy

# Remove rsyslog file
sae|loci|haproxy|rsyslog:
    file.absent:
        - name: /etc/rsyslog.d/haproxy.conf

# Remove haproxy logdir
sae|loci|haproxy|logdir:
    file.absent:
        - name: /var/log/haproxy

# Remove logrotate
sae|loci|haproxy|logrotate:
    file.absent:
        - name: /etc/logrotate.d/haproxy

