# vim: sts=2 ts=2 sw=2 et ai
{%- from slspath~"/map.jinja" import logcompressor_map with context %}
{% from "pepper/map.jinja" import defaults with context %}

include:
  - sae-logcompressor.transition

sae|logcompressor|{{ logcompressor_map.compressor_script }}:
  file.managed:
    - name: {{ logcompressor_map.bin_dir }}/{{ logcompressor_map.compressor_script }}
    - source: salt://{{slspath}}/files/{{ logcompressor_map.compressor_script }}
    - user: root
    - group: {{ defaults['root_group'] }}
    - mode: 755
    - makedirs: True
  
sae|logcompressor|{{ logcompressor_map.compressor_script }}|cron:
  cron.present:
    - name: {{ logcompressor_map.compressor_script }} {{ logcompressor_map.compressor_params }} >/dev/null 2>&1
    - identifier: logcompressor-cron
    - user: root
    - minute: '{{ logcompressor_map.cron_minute }}'
    - require:
      - sae|logcompressor|{{ logcompressor_map.compressor_script }}
