# vim: sts=2 ts=2 sw=2 et ai

# This sls only exists so that sae-mrtg.master shows up in roles. All
# differences between master and non-master mrtg hosts are handled in
# the individual states by looking for that role.

sae|mrtg|master-role:
{% if 'sae-mrtg' in salt['grains.get']('roles', []) %}
  test.succeed_without_changes:
    - name: "sae-mrtg role exists"
{% else %}
  test.fail_without_changes:
    - name: "sae-mrtg.master role requires sae-mrtg role"
{% endif %}
