# vim: sts=2 ts=2 sw=2 et ai

{% from "sae-mrtg/map.jinja" import mrtg_conf with context %}

sae|mrtg|group:
  group.present:
    - name: {{ mrtg_conf.group }}
    - system: True

sae|mrtg|user:
  user.present:
    - name: {{ mrtg_conf.user }}
    - gid: {{ mrtg_conf.group }}
    - home: {{ mrtg_conf.home_dir }}
    - createhome: False
    - system: True
    - require:
      - group: sae|mrtg|group

sae|mrtg|local-dir:
  file.directory:
    - name: /local
    - user: root
    - group: root
    - dir_mode: 755

sae|mrtg|home-dir:
  file.directory:
    - name: {{ mrtg_conf.home_dir }}
    - user: {{ mrtg_conf.user }}
    - group: {{ mrtg_conf.group }}
    - require:
      - user: sae|mrtg|user
      - group: sae|mrtg|group
      - file: sae|mrtg|local-dir
