#!/usr/bin/env python

import sys
import coyote.config
import coyote.amqp

import json

if 'dumps' in dir(json):
    json.write = json.dumps
    json.read = json.loads
    json.ReadException = ValueError

if __name__ == "__main__":
        """
                No need to make a fancy producer here, we'll just use the coyote default.
        """
        uuid = coyote.config.uuid('ipmi', coyote.config.UUID_NAME)
        producer = coyote.amqp.Producer(uuid)
        producer.connect()

        if(len(sys.argv) > 3):
                producer.send(sys.argv[1:])

