# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}

include:
{% if grains.get("hypervisor", "") == "opennebula" %}
  - .network_onhv
{% elif grains.get("hypervisor", "") == "lxvm" %}
  - .network_lxvm
{% endif %}
  - splunkforwarder
  - sae-sudoers.ms-ops-admin
  - pepper.nobluekey
  - .firewall
  - .pkgs
  - .nginx
  - .syslog
  - .bind
  - .tftpd-hpa
  - .sysloganalyzer
  - .iperf3
  - sysctl.ipv6_disable
  - .anycastdnsmonit
  - .sysctl
  - .dnsmasq
{% if salt.grains.get('cornerstone:building_type_name') in ['SmartPOP', 'StratOPOP', 'SPS'] %}
  - .spop_route
{% endif %}
