#!/bin/bash
set -e
set -x

source jenkinslib.sh

wait_for_jenkins

disable_security
# disable_security now turns off nginx to prevent unauthorized access. It also restarts jenkins and does wait_for_jenkins

plugin="$1"

echo "Installing plugin ${plugin}"
java -jar jenkins-cli.jar -s http://127.0.0.1:8080/ install-plugin $plugin

enable_security
# enable_security now has restart and wait_for_jenkins builtin and it starts nginx (stopped to prevent unauthorized access)

echo
echo "changed=yes comment='Installed plugin ${plugin}'"