#!/usr/bin/env python3
from ftplib import FTP
from hashlib import sha512
from os.path import isfile

ftp = FTP('llp-fg.na-east.lldns.net')
hasher = sha512()

filename = 'test.db'
hash_filename = 'test.db.hash'
ftp_user = 'llnwsysops-vs'
ftp_pass = '5y5OPS0!'
ftp_cwd = '/content/docs/PopUpBlockerRobot/'


def compare_hashes(ftp_hash):
    global changed
    ftp_hash = ftp_hash.strip()
    if local_hash != ftp_hash:
        print("Not Equal:\
                \n [1] {}\
                \n [2] {}".format(ftp_hash, local_hash))
    else:
        changed = 'no'


if __name__ == "__main__":
    changed = 'yes'

    ftp.login(user=ftp_user, passwd=ftp_pass)
    ftp.cwd(ftp_cwd)

    if isfile(filename):
        with open(filename, 'rb') as local_file:
            buf = local_file.read()
            hasher.update(buf)
        local_hash = hasher.hexdigest().strip()
        ftp_hash = ftp.retrlines("RETR {}".format(hash_filename), compare_hashes)

    if changed == 'yes':
        print("downloading new file")
        with open('test.db', 'wb') as dbfile:
            ftp.retrbinary('RETR test.db', dbfile.write)

    ftp.quit()
    print("changed={}".format(changed))
