<?php

$base_dir = '{{ portmon.base_dir }}';

$lib_dir = $base_dir.'lib/';
$bin_dir = $base_dir.'bin/';

$debug = 1;
$logfile = '/tmp/iface-scrapper-output.log';
$log = fopen($logfile,'a');

// Zabbix configs
$apiurl = '{{ portmon.APIUrl }}';
$apiver = '{{ portmon.APIVer }}';
$zabbix_user     = '{{ portmon.APIuser }}';
$zabbix_password = '{{ portmon.APIPassword }}';

$zabbix_token_file = $base_dir.'zbx-api-token.tmp';

// DB Settings
$db_name = "{{ portmon.DBName }}";
$db_user = "{{ portmon.DBUser }}"; // privs: select,insert,update,delete
$db_pass = "{{ portmon.DBPass }}";
$db_host = "{{ portmon.DBHost }}";
//$db_host = "db-llnw21-ha.phx3.llnw.net";

$db = mysqli_connect($db_host, $db_user, $db_pass, $db_name);

include($lib_dir.'toolbox.php');

?>