# vim: sts=2 ts=2 sw=2 et ai

{% from "sae-rancid/map.jinja" import rancid_conf with context %}

# uses order:last instead of requiring all the config files and whatnot
sae|rancid|crontab:
{% if 'role-sae-rancid.active' in salt['grains.get']('cornerstone:tags', {}) %}
  cron.present:
    - order: last
    - minute: 0
{% else %}
  cron.absent:
{% endif %}
    - identifier: rancid-run
    - name: |
        cd {{ rancid_conf['repo_dir'] }} && git pull >/dev/null 2>&1 && /usr/lib/rancid/bin/rancid-run
    - user: rancid
