# vim: sts=2 ts=2 sw=2 et ai

{% from "sudoers/map.jinja" import sudo_include with context %}
{% from "sae-rancid/map.jinja" import rancid_conf with context %}

include:
  - sysctl.ipv6_disable
  - sudoers.setup
  - sae-sudoers.OpsEngGroup
  - mta.postfix.relay
  - .packages
  - .configs
  - .cron

{{ sudo_include(rancid_conf['sudoers']) }}

sae|rancid|logdir:
  file.directory:
    - name: {{ rancid_conf['log_dir'] }}
    - user: rancid
    - group: rancid
    - mode: 755
    - require:
      - pkg: sae|rancid|pkgs
