# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}
{% from slspath ~ "/map.jinja" import kernel with context %}

#Install programs for managing ivps/lvs and network pieces

sae|slb|tools-pkg:
  pkg.installed:
    - names:
      - ipvsadm
      - vlan
      - ifenslave
      - perl
      - libyaml-perl
      - libregexp-ipv6-perl
      - libnet-cidr-perl
      - libnet-ip-perl
      - linux-crashdump

sae|slb|kernel-pkg:
  pkg.installed:
    - pkgs:
      {% for pkg in kernel['packages'] %}
      - '{{ pkg }}'
      {% endfor %}
