# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}
{% from "sudoers/map.jinja" import sudo_map with context %}

include:
  - sudoers

{% if 'canary' in salt['grains.get']('cachepool', {}) or 'cedexis' in salt['grains.get']('cachepool', {}) %}
sae|sudoers|cds-staging-admin:
  file.managed:
    - name: {{ sudo_map.includedir }}/cds-staging-admin
    - user: root
    - group: {{ defaults.root_group }}
    - mode: 440
    - contents: '%posix-cds-staging-admin ALL=(ALL) NOPASSWD: ALL'
    - require:
      - file: core|sudoers|includedir
{% else %}
sae|sudoers|cds-staging-admin-remove:
  file.absent:
    - name: {{ sudo_map.includedir }}/cds-staging-admin
{% endif %}
