# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}
{% from "sudoers/map.jinja" import sudo_map with context %}

include:
  - sudoers

sae|sudoers|collectd-squid:
  file.managed:
    - name: {{ sudo_map.includedir }}/collectd-squid
    - user: root
    - group: {{ defaults.root_group }}
    - mode: 440
    - contents: |
        # silence syslog output for the squid user
        Defaults:squid !syslog
        squid ALL=(ALL) NOPASSWD: /usr/local/sbin/dmidecode
    - require:
      - file: core|sudoers|includedir
