# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}
{% from "sudoers/map.jinja" import sudo_map with context %}

include:
  - sudoers

sae|sudoers|coresnap:
  file.managed:
    - name: {{ sudo_map.includedir }}/coresnap
    - user: root
    - group: {{ defaults.root_group }}
    - mode: 440
    - contents: '%coresnap ALL=NOPASSWD: /bin/cp, /usr/local/bin/squid_dump.pl'
    - require:
      - file: core|sudoers|includedir
