# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}
{% from "sudoers/map.jinja" import sudo_map with context %}

include:
  - sudoers

sae|sudoers|edgeprism-xfer:
  file.managed:
    - name: {{ sudo_map.includedir }}/edgeprism-xfer
    - user: root
    - group: {{ defaults.root_group }}
    - mode: 440
    - contents: |
        xfer ALL=NOPASSWD : /usr/local/nginx/sbin/nginx
        xfer ALL=NOPASSWD : /usr/home/xfer/update_nginx_stub.sh
        xfer ALL=NOPASSWD : /etc/sq/ep_graceful_shutdown.sh
    - require:
      - file: core|sudoers|includedir
