# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}
{% from "sudoers/map.jinja" import sudo_map with context %}

include:
  - sudoers

{% if 'canary' in salt['grains.get']('cachepool', {}) or 'sandbox' in salt['grains.get']('cachepool', {}) %}
sae|sudoers|integration-engineering:
  file.managed:
    - name: {{ sudo_map.includedir }}/Integration-Engineering
    - user: root
    - group: {{ defaults.root_group }}
    - mode: 440
    - contents: '%Integration.Engineering ALL=(ALL) NOPASSWD: ALL'
    - require:
      - file: core|sudoers|includedir
{% else %}
sae|sudoers|integration-engineering-remove:
  file.absent:
    - name: {{ sudo_map.includedir }}/Integration-Engineering
{% endif %}
