# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}
{% from "sudoers/map.jinja" import sudo_map with context %}

include:
  - sudoers

sae|sudoers|jumphost-admin:
  file.managed:
    - name: {{ sudo_map.includedir }}/jumphost-admin
    - user: root
    - group: {{ defaults.root_group }}
    - mode: 440
    - contents: '%posix-jumphost-admin ALL=(ALL) ALL'
    - require:
      - file: core|sudoers|includedir
