# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}
{% from "sudoers/map.jinja" import sudo_map with context %}

include:
  - sudoers

sae|sudoers|jumphost-env-keep:
  file.managed:
    - name: {{ sudo_map.includedir }}/jumphost-env-keep
    - user: root
    - group: {{ defaults.root_group }}
    - mode: 440
    - contents: 'Defaults env_keep="SSH_AGENT_PID SSH_AUTH_SOCK PATH"'
    - require:
      - file: core|sudoers|includedir
