# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}
{% from "sudoers/map.jinja" import sudo_map with context %}

include:
  - sudoers

sae|sudoers|loris:
  file.managed:
    - name: {{ sudo_map.includedir }}/loris
    - user: root
    - template: jinja
    - group: {{ defaults.root_group }}
    - mode: 440
    - source: salt://sae-sudoers/files/loris.jinja
    - require:
      - file: core|sudoers|includedir
