# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}
{% from "sudoers/map.jinja" import sudo_map with context %}

include:
  - sudoers

sae|sudoers|netops:
  file.managed:
    - name: {{ sudo_map.includedir }}/netops
    - user: root
    - group: {{ defaults.root_group }}
    - mode: 440
    - contents: '%netops ALL=(ALL) NOPASSWD: /usr/sbin/tcpdump,/usr/local/bin/tcpflow,/sbin/ping,/sbin/rtsol,/usr/bin/less,/bin/cat'
    - require:
      - file: core|sudoers|includedir
