# vim: sts=2 ts=2 sw=2 et ai

{% from "pepper/map.jinja" import defaults with context %}
{% from "sudoers/map.jinja" import sudo_map with context %}

include:
  - sudoers

sae|sudoers|opentsdbng-admin:
  file.managed:
    - name: {{ sudo_map.includedir }}/opentsdbng
    - user: root
    - group: {{ defaults.root_group }}
    - mode: 440
    - contents: |
        %posix-hadoop-admin ALL=(ALL:ALL) NOPASSWD: ALL
        %metrics-admin ALL=(ALL:ALL) NOPASSWD: ALL
        %clairvoyant-users ALL=(ALL:ALL) NOPASSWD: ALL
    - require:
      - file: core|sudoers|includedir
