{% set release = grains['oscodename'] %}
{% set environment = salt['grains.get']('team_env', 'staging') %}

{% if environment == 'dynamic' %}
{%    set environment = 'testing' %}
{% endif %}

sae|zabbix-infra|repo:
  pkgrepo.managed:
    - name: deb http://repo.llnw.net/llnw/ubuntu/{{ environment }}/zabbix/ {{ release }}/
    - file: /etc/apt/sources.list.d/zabbix.{{ release }}.list
    - refresh: True
    - clean_file: True
