# SAE-ZNC

ZNC Is an IRC bouncer that expands functionality on top of IRC. This includes (but not limited to), persistent connections and buffer playback. 

In Production this is running on a VM that is on a public IP, and the ZNC port is open to public networks. This is by design, so ZNC sessions can be established without vpn and/or jumphost access. Authentication is granted via LDAP and communication is secured via SSL between Client <> ZNC.

### Components used:

* znc-llnw
  * Custom compiled package for LLNW usage. Historically, packages for znc have not been maintained, so a jenkins job has been built to compile and deploy the package internally.
  * https://build.llnw.net/view/DBA/job/Package_ZNC/
* sasl/saslauthd
  * Used for ldap authentication

### Quirks:
* ZNC creates and manages it's own config, so managing it via salt really isn't optimal.

### Cornerstone roles used:
* role-sae-znc
